Bug 132662 - File Open locks netbeans
File Open locks netbeans
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Text
6.x
All All
: P1 (vote)
: 6.x
Assigned To: mslama
issues@platform
61fixes1-fixed, 61fixes2-fixed
:
: 134258 134303 134723 135763 136501 137910 137961 138522 142345 145919 155114 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 20:17 UTC by cwolves
Modified: 2008-12-22 14:31 UTC (History)
11 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
NBM of the module that contains the fixes (123.74 KB, application/x-compressed)
2008-04-15 14:28 UTC, Jaroslav Tulach
Details
My Thread Dump (24.35 KB, text/plain)
2008-05-02 13:16 UTC, dyegoleal
Details
Threaddump (19.67 KB, text/plain)
2008-05-02 19:50 UTC, pinheiro
Details
Threaddump (26.95 KB, text/plain)
2008-05-08 21:07 UTC, pinheiro
Details
Stack dump on moving off JSP edit (23.28 KB, text/plain)
2008-05-27 09:38 UTC, soupdragon
Details
Stack dump, moving off JSP edit nightly 200805291203 (28.11 KB, text/plain)
2008-05-30 15:44 UTC, soupdragon
Details
new stack... this is very important BUG ! (27.65 KB, text/plain)
2008-05-30 19:29 UTC, dyegoleal
Details
Thread dump (27.70 KB, text/plain)
2008-06-02 11:33 UTC, ris
Details
messages.log (50.48 KB, text/plain)
2008-06-02 11:33 UTC, ris
Details
Again , and with today build ! (26.29 KB, text/plain)
2008-06-02 14:44 UTC, dyegoleal
Details
New Dump ! (23.70 KB, text/plain)
2008-06-03 16:43 UTC, dyegoleal
Details
Finaly ! A Project to reproduce a Bug (41.91 KB, text/plain)
2008-06-03 17:07 UTC, dyegoleal
Details
Test to create deadlock like the one described in this issue (7.90 KB, text/plain)
2008-06-12 17:30 UTC, Jaroslav Tulach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cwolves 2008-04-11 20:17:27 UTC
Fairly regularly, in the 6.1 RC1 release in OSX, a simple file open is locking the IDE.
Comment 1 Jiri Prox 2008-04-14 09:18:32 UTC
Please capture threaddump once it happens again.

http://wiki.netbeans.org/GenerateThreadDump
Comment 2 Vitezslav Stejskal 2008-04-14 09:42:09 UTC
What file types are you opening? Also please attach Netbeans log file, eg. <userdir>/var/log/messages.log. Thanks
Comment 3 cwolves 2008-04-14 20:12:43 UTC
lock while closing files:

Full thread dump Java HotSpot(TM) 64-Bit Server VM (1.6.0_04-b12-45-optimized mixed mode):

"JSP Parsing" daemon prio=1 tid=0x0000000152174800 nid=0x1503ab000 in Object.wait() [0x00000001503aa000..0x00000001503aaa80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000152174800  [0x503ab000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:744)
	at org.openide.text.CloneableEditorSupport.openDocumentCheckIOE(CloneableEditorSupport.java:715)
	at org.openide.text.CloneableEditorSupport.getDocument(CloneableEditorSupport.java:788)
	- locked <0x0000000111332d90> (a org.openide.windows.CloneableOpenSupport$Listener)
	at org.openide.text.CloneableEditorSupport.getInputStream(CloneableEditorSupport.java:1349)
	at org.netbeans.modules.web.jspparser.ParserServletContext.getEditorInputStream(ParserServletContext.java:363)
	at org.netbeans.modules.web.jspparser.ParserServletContext.getResourceAsStream(ParserServletContext.java:326)
	at org.apache.jasper.JspCompilationContext.getResourceAsStream(JspCompilationContext.java:304)
	at org.apache.jasper.compiler.JspUtil.getInputStream(JspUtil.java:890)
	at org.apache.jasper.xmlparser.XMLEncodingDetector.getEncoding(XMLEncodingDetector.java:127)
	at org.apache.jasper.compiler.ParserController.determineSyntaxAndEncoding(ParserController.java:360)
	at org.apache.jasper.compiler.ParserController.doParse(ParserController.java:194)
	at org.apache.jasper.compiler.ParserController.parse(ParserController.java:124)
	at org.apache.jasper.compiler.GetParseData.parse(GetParseData.java:164)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1.run(WebAppParseSupport.java:482)

"Timer-66" prio=6 tid=0x000000015213e000 nid=0x15caf1000 in Object.wait() [0x000000015caf0000..0x000000015caf0a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000015213e000  [0x5caf1000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000112211f28> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-65" prio=6 tid=0x000000015213c000 nid=0x15c8ee000 in Object.wait() [0x000000015c8ed000..0x000000015c8eda80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000015213c000  [0x5c8ee000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000112211fb0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-64" prio=6 tid=0x0000000152126000 nid=0x15c6eb000 in Object.wait() [0x000000015c6ea000..0x000000015c6eaa80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000152126000  [0x5c6eb000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000112212038> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-63" prio=6 tid=0x0000000152125000 nid=0x15c4e8000 in Object.wait() [0x000000015c4e7000..0x000000015c4e7a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000152125000  [0x5c4e8000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x00000001122120c0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-62" prio=6 tid=0x00000001520de800 nid=0x15bad9000 in Object.wait() [0x000000015bad8000..0x000000015bad8a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520de800  [0x5bad9000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x00000001122132a8> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-61" prio=6 tid=0x00000001520dd800 nid=0x15b8d6000 in Object.wait() [0x000000015b8d5000..0x000000015b8d5a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520dd800  [0x5b8d6000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000112213330> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-60" prio=6 tid=0x00000001520a3800 nid=0x15b6d3000 in Object.wait() [0x000000015b6d2000..0x000000015b6d2a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520a3800  [0x5b6d3000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x00000001122133b8> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-59" prio=6 tid=0x00000001520e9800 nid=0x15b4d0000 in Object.wait() [0x000000015b4cf000..0x000000015b4cfa80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520e9800  [0x5b4d0000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000112213440> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-58" prio=6 tid=0x0000000152112000 nid=0x15aac1000 in Object.wait() [0x000000015aac0000..0x000000015aac0a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000152112000  [0x5aac1000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x00000001122142e8> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-57" prio=6 tid=0x000000015210f800 nid=0x15a8be000 in Object.wait() [0x000000015a8bd000..0x000000015a8bda80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000015210f800  [0x5a8be000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000112214370> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-56" prio=6 tid=0x00000001520fa800 nid=0x15a6bb000 in Object.wait() [0x000000015a6ba000..0x000000015a6baa80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520fa800  [0x5a6bb000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x00000001122143f8> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-55" prio=6 tid=0x00000001520f9800 nid=0x15a4b8000 in Object.wait() [0x000000015a4b7000..0x000000015a4b7a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520f9800  [0x5a4b8000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000112214480> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-54" prio=6 tid=0x00000001520f8800 nid=0x15a2b5000 in Object.wait() [0x000000015a2b4000..0x000000015a2b4a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520f8800  [0x5a2b5000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000112214508> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-53" prio=6 tid=0x00000001520d0000 nid=0x15a0b2000 in Object.wait() [0x000000015a0b1000..0x000000015a0b1a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520d0000  [0x5a0b2000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000112214590> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-52" prio=6 tid=0x00000001520e7800 nid=0x159eaf000 in Object.wait() [0x0000000159eae000..0x0000000159eaea80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520e7800  [0x59eaf000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000112214618> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-51" prio=6 tid=0x0000000148ba7800 nid=0x159cac000 in Object.wait() [0x0000000159cab000..0x0000000159caba80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148ba7800  [0x59cac000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x00000001122146a0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-50" prio=6 tid=0x00000001520f3000 nid=0x15929d000 in Object.wait() [0x000000015929c000..0x000000015929ca80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520f3000  [0x5929d000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000011205e4b0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-49" prio=6 tid=0x00000001520f2000 nid=0x15909a000 in Object.wait() [0x0000000159099000..0x0000000159099a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520f2000  [0x5909a000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000011205e538> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-48" prio=6 tid=0x00000001520d7800 nid=0x158e97000 in Object.wait() [0x0000000158e96000..0x0000000158e96a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520d7800  [0x58e97000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000011205e5c0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-47" prio=6 tid=0x00000001520d6800 nid=0x158c94000 in Object.wait() [0x0000000158c93000..0x0000000158c93a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520d6800  [0x58c94000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000011205e648> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-46" prio=6 tid=0x00000001520d5800 nid=0x158a91000 in Object.wait() [0x0000000158a90000..0x0000000158a90a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520d5800  [0x58a91000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000011205e6d0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-45" prio=6 tid=0x00000001520d4800 nid=0x15888e000 in Object.wait() [0x000000015888d000..0x000000015888da80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520d4800  [0x5888e000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000011205e758> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-44" prio=6 tid=0x0000000152021800 nid=0x15868b000 in Object.wait() [0x000000015868a000..0x000000015868aa80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000152021800  [0x5868b000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000011205e7e0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-43" prio=6 tid=0x0000000152020800 nid=0x158488000 in Object.wait() [0x0000000158487000..0x0000000158487a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000152020800  [0x58488000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000011205e868> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-42" prio=6 tid=0x000000015207d800 nid=0x157a79000 in Object.wait() [0x0000000157a78000..0x0000000157a78a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000015207d800  [0x57a79000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000011205fba0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-41" prio=6 tid=0x00000001520b5000 nid=0x156e67000 in Object.wait() [0x0000000156e66000..0x0000000156e66a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520b5000  [0x56e67000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000011205fc28> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-40" prio=6 tid=0x00000001520bc000 nid=0x157876000 in Object.wait() [0x0000000157875000..0x0000000157875a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520bc000  [0x57876000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d25880> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-39" prio=6 tid=0x00000001520bb000 nid=0x157673000 in Object.wait() [0x0000000157672000..0x0000000157672a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520bb000  [0x57673000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d25908> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-38" prio=6 tid=0x00000001520af000 nid=0x156a61000 in Object.wait() [0x0000000156a60000..0x0000000156a60a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520af000  [0x56a61000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d27250> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-37" prio=6 tid=0x00000001520ad800 nid=0x15685e000 in Object.wait() [0x000000015685d000..0x000000015685da80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001520ad800  [0x5685e000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d272d8> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-36" prio=6 tid=0x0000000152097800 nid=0x15665b000 in Object.wait() [0x000000015665a000..0x000000015665aa80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000152097800  [0x5665b000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d27360> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-35" prio=6 tid=0x0000000152096800 nid=0x156458000 in Object.wait() [0x0000000156457000..0x0000000156457a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000152096800  [0x56458000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d273e8> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-34" prio=6 tid=0x0000000152090800 nid=0x155e4f000 in Object.wait() [0x0000000155e4e000..0x0000000155e4ea80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000152090800  [0x55e4f000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d28860> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-33" prio=6 tid=0x000000015208f800 nid=0x155c4c000 in Object.wait() [0x0000000155c4b000..0x0000000155c4ba80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000015208f800  [0x55c4c000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d288e8> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-32" prio=6 tid=0x0000000152076800 nid=0x155a49000 in Object.wait() [0x0000000155a48000..0x0000000155a48a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000152076800  [0x55a49000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d28970> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-31" prio=6 tid=0x0000000152075000 nid=0x155846000 in Object.wait() [0x0000000155845000..0x0000000155845a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000152075000  [0x55846000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d289f8> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-30" prio=6 tid=0x000000015203a000 nid=0x154225000 in Object.wait() [0x0000000154224000..0x0000000154224a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000015203a000  [0x54225000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d2c1b0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-29" prio=6 tid=0x0000000152035800 nid=0x153e1f000 in Object.wait() [0x0000000153e1e000..0x0000000153e1ea80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000152035800  [0x53e1f000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d2c718> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-28" prio=6 tid=0x0000000148b9f800 nid=0x153613000 in Object.wait() [0x0000000153612000..0x0000000153612a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b9f800  [0x53613000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d2d280> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-27" prio=6 tid=0x0000000148b9f000 nid=0x153410000 in Object.wait() [0x000000015340f000..0x000000015340fa80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b9f000  [0x53410000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d2d308> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-26" prio=6 tid=0x0000000152011800 nid=0x151dd2000 in Object.wait() [0x0000000151dd1000..0x0000000151dd1a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000152011800  [0x51dd2000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a97368> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-25" prio=6 tid=0x0000000152010000 nid=0x151bcf000 in Object.wait() [0x0000000151bce000..0x0000000151bcea80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000152010000  [0x51bcf000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a973f0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-24" prio=6 tid=0x0000000148ff2800 nid=0x1519cc000 in Object.wait() [0x00000001519cb000..0x00000001519cba80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148ff2800  [0x519cc000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a97478> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-23" prio=6 tid=0x0000000148ff1000 nid=0x1517c9000 in Object.wait() [0x00000001517c8000..0x00000001517c8a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148ff1000  [0x517c9000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a97500> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-22" prio=6 tid=0x0000000148fe5800 nid=0x1511c0000 in Object.wait() [0x00000001511bf000..0x00000001511bfa80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148fe5800  [0x511c0000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a98050> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-21" prio=6 tid=0x0000000148b8a800 nid=0x150fbd000 in Object.wait() [0x0000000150fbc000..0x0000000150fbca80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b8a800  [0x50fbd000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a980d8> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-20" prio=6 tid=0x0000000148fda000 nid=0x150dba000 in Object.wait() [0x0000000150db9000..0x0000000150db9a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148fda000  [0x50dba000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a98160> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-19" prio=6 tid=0x0000000148fd9000 nid=0x150bb7000 in Object.wait() [0x0000000150bb6000..0x0000000150bb6a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148fd9000  [0x50bb7000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a981e8> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-18" prio=6 tid=0x0000000148fe2000 nid=0x1509b4000 in Object.wait() [0x00000001509b3000..0x00000001509b3a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148fe2000  [0x509b4000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a98270> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-17" prio=6 tid=0x0000000148fe0800 nid=0x1507b1000 in Object.wait() [0x00000001507b0000..0x00000001507b0a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148fe0800  [0x507b1000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a982f8> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-16" prio=6 tid=0x0000000148f79800 nid=0x14ffa5000 in Object.wait() [0x000000014ffa4000..0x000000014ffa4a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148f79800  [0x4ffa5000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a99090> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-15" prio=6 tid=0x0000000148f79000 nid=0x14fda2000 in Object.wait() [0x000000014fda1000..0x000000014fda1a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148f79000  [0x4fda2000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a99118> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-14" prio=6 tid=0x0000000148f72800 nid=0x14f99c000 in Object.wait() [0x000000014f99b000..0x000000014f99ba80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148f72800  [0x4f99c000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a994a0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-13" prio=6 tid=0x0000000148bb1800 nid=0x14f799000 in Object.wait() [0x000000014f798000..0x000000014f798a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148bb1800  [0x4f799000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a99528> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-12" prio=6 tid=0x0000000148b9b800 nid=0x14f596000 in Object.wait() [0x000000014f595000..0x000000014f595a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b9b800  [0x4f596000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a995b0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-11" prio=6 tid=0x0000000148b9a800 nid=0x14f393000 in Object.wait() [0x000000014f392000..0x000000014f392a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b9a800  [0x4f393000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a99638> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-10" prio=6 tid=0x0000000148b91000 nid=0x14f190000 in Object.wait() [0x000000014f18f000..0x000000014f18fa80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b91000  [0x4f190000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a996c0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-9" prio=6 tid=0x0000000148b8f000 nid=0x14ef8d000 in Object.wait() [0x000000014ef8c000..0x000000014ef8ca80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b8f000  [0x4ef8d000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a99748> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-8" prio=6 tid=0x0000000148f89800 nid=0x14ed8a000 in Object.wait() [0x000000014ed89000..0x000000014ed89a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148f89800  [0x4ed8a000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a997d0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-7" prio=6 tid=0x0000000148f92000 nid=0x14ea8b000 in Object.wait() [0x000000014ea8a000..0x000000014ea8aa80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148f92000  [0x4ea8b000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a99858> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-6" prio=6 tid=0x0000000148b7d800 nid=0x14e888000 in Object.wait() [0x000000014e887000..0x000000014e887a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b7d800  [0x4e888000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111959a18> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-5" prio=6 tid=0x0000000148b7c800 nid=0x14e685000 in Object.wait() [0x000000014e684000..0x000000014e684a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b7c800  [0x4e685000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111959aa0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-4" prio=6 tid=0x0000000148f9a000 nid=0x14e482000 in Object.wait() [0x000000014e481000..0x000000014e481a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148f9a000  [0x4e482000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111959b28> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-3" prio=6 tid=0x00000001027d7800 nid=0x14e27f000 in Object.wait() [0x000000014e27e000..0x000000014e27ea80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001027d7800  [0x4e27f000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111942570> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-2" prio=6 tid=0x0000000148f87000 nid=0x14521f000 in Object.wait() [0x000000014521e000..0x000000014521ea80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148f87000  [0x4521f000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111773fb0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-1" prio=6 tid=0x0000000148f85800 nid=0x143c88000 in Object.wait() [0x0000000143c87000..0x0000000143c87a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148f85800  [0x43c88000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000011176f3d8> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/null]" daemon prio=1 tid=0x0000000148b3d000
nid=0x14dc48000 in Object.wait() [0x000000014dc47000..0x000000014dc47a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b3d000  [0x4dc48000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b178e0> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default
RequestProcessor/org.netbeans.modules.editor.errorstripe.AnnotationView$RepaintTask]" daemon prio=1
tid=0x0000000148b3b800 nid=0x14da45000 in Object.wait() [0x000000014da44000..0x000000014da44a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b3b800  [0x4da45000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b179b8> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default
RequestProcessor/org.netbeans.modules.editor.errorstripe.AnnotationView$RepaintTask]" daemon prio=1
tid=0x0000000148b39000 nid=0x14d63f000 in Object.wait() [0x000000014d63e000..0x000000014d63ea80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b39000  [0x4d63f000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b17b68> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/org.netbeans.editor.ext.html.parser.SyntaxParser$4]"
daemon prio=1 tid=0x0000000148b34800 nid=0x14ce43000 in Object.wait() [0x000000014ce42000..0x000000014ce42a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b34800  [0x4ce43000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b17df0> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/null]" daemon prio=1 tid=0x0000000148b32000
nid=0x14c852000 in Object.wait() [0x000000014c851000..0x000000014c851a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b32000  [0x4c852000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b17fa0> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/org.netbeans.modules.editor.NbEditorUI$1$1]" daemon
prio=1 tid=0x0000000148b2e000 nid=0x14c249000 in Object.wait() [0x000000014c248000..0x000000014c248a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b2e000  [0x4c249000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b18228> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default
RequestProcessor/org.netbeans.core.windows.FloatingWindowTransparencyManager$2]" daemon prio=1 tid=0x0000000148b2c800
nid=0x14c046000 in Object.wait() [0x000000014c045000..0x000000014c045a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b2c800  [0x4c046000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b18300> (a java.lang.Object)

"Document Processing" daemon prio=3 tid=0x0000000148b2b000 nid=0x14be43000 in Object.wait()
[0x000000014be41000..0x000000014be42a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b2b000  [0x4be43000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:744)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:735)
	at org.openide.text.CloneableEditorSupport.openDocumentCheckIOE(CloneableEditorSupport.java:715)
	at org.openide.text.CloneableEditorSupport.openDocument(CloneableEditorSupport.java:710)
	- locked <0x00000001113332b8> (a org.openide.windows.CloneableOpenSupport$Listener)
	at org.openide.text.DataEditorSupport.openDocument(DataEditorSupport.java:398)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.processIncludedFile(SimplifiedJSPServlet.java:279)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.access$100(SimplifiedJSPServlet.java:93)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet$2.visit(SimplifiedJSPServlet.java:250)
	at org.netbeans.modules.web.jsps.parserapi.Node$IncludeDirective.accept(Node.java:688)
	at org.netbeans.modules.web.jsps.parserapi.Node$Nodes.visit(Node.java:2220)
	at org.netbeans.modules.web.jsps.parserapi.Node$Visitor.visitBody(Node.java:2266)
	at org.netbeans.modules.web.jsps.parserapi.Node$Visitor.visit(Node.java:2372)
	at org.netbeans.modules.web.jsps.parserapi.Node$CustomTag.accept(Node.java:1520)
	at org.netbeans.modules.web.jsps.parserapi.Node$Nodes.visit(Node.java:2220)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.processIncludes(SimplifiedJSPServlet.java:259)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.process(SimplifiedJSPServlet.java:180)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.process(SimplifiedJSPServlet.java:152)
	at
org.netbeans.modules.web.core.syntax.JavaSourceProviderImpl$FilterImpl.filterCharSequence(JavaSourceProviderImpl.java:129)
	at org.netbeans.modules.java.source.parsing.SourceFileObject.getCharContentImpl(SourceFileObject.java:397)
	at org.netbeans.modules.java.source.parsing.SourceFileObject.<init>(SourceFileObject.java:109)
	at org.netbeans.modules.java.source.parsing.FileObjects.nbFileObject(FileObjects.java:227)
	at org.netbeans.api.java.source.JavaSource$DefaultJavaFileObjectProvider.createJavaFileObject(JavaSource.java:2416)
	at org.netbeans.api.java.source.CompilationInfoImpl.<init>(CompilationInfoImpl.java:92)
	at org.netbeans.api.java.source.JavaSource.createCurrentInfo(JavaSource.java:2002)
	at org.netbeans.api.java.source.JavaSource.runUserActionTask(JavaSource.java:639)
	at org.netbeans.modules.debugger.jpda.projects.EditorContextImpl.getFieldLineNumber(EditorContextImpl.java:755)
	at
org.netbeans.modules.debugger.jpda.projects.BreakpointAnnotationProvider.getAnnotationLines(BreakpointAnnotationProvider.java:239)
	at
org.netbeans.modules.debugger.jpda.projects.BreakpointAnnotationProvider.addAnnotationTo(BreakpointAnnotationProvider.java:270)
	at org.netbeans.modules.debugger.jpda.projects.BreakpointAnnotationProvider.annotate(BreakpointAnnotationProvider.java:120)
	- locked <0x000000011296d088> (a java.util.HashMap)
	at org.openide.text.CloneableEditorSupport.ensureAnnotationsLoaded(CloneableEditorSupport.java:368)
	at org.openide.text.CloneableEditor$DoInitialize.initRest(CloneableEditor.java:405)
	at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:252)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:561)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:986)

"Inactive RequestProcessor thread [Was:background jsp
parsing/org.netbeans.modules.web.core.jsploader.TagLibParseSupport$ParsingRunnable]" daemon prio=1
tid=0x0000000148b28800 nid=0x14ba3d000 in Object.wait() [0x000000014ba3c000..0x000000014ba3ca80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b28800  [0x4ba3d000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b18588> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:TimedSoftReference/org.openide.util.TimedSoftReference]" daemon prio=1
tid=0x0000000148b27000 nid=0x14b83a000 in Object.wait() [0x000000014b839000..0x000000014b839a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b27000  [0x4b83a000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b18660> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:background jsp
parsing/org.netbeans.modules.web.core.jsploader.TagLibParseSupport$ParsingRunnable]" daemon prio=1
tid=0x0000000148b25800 nid=0x14b637000 in Object.wait() [0x000000014b636000..0x000000014b636a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b25800  [0x4b637000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b18738> (a java.lang.Object)

"background jsp parsing" daemon prio=1 tid=0x0000000148b24000 nid=0x14b434000 in Object.wait()
[0x000000014b433000..0x000000014b433a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b24000  [0x4b434000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Thread.join(Thread.java:1161)
	- locked <0x0000000108b20000> (a org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1)
	at java.lang.Thread.join(Thread.java:1214)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport.callTomcatParser(WebAppParseSupport.java:500)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport.analyzePage(WebAppParseSupport.java:410)
	at org.netbeans.modules.web.jspparser.JspParserImpl.analyzePage(JspParserImpl.java:158)
	at org.netbeans.modules.web.core.jsploader.TagLibParseSupport$ParsingRunnable.run(TagLibParseSupport.java:363)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:561)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:986)

"Inactive RequestProcessor thread [Was:TimedSoftReference/org.openide.util.TimedSoftReference]" daemon prio=1
tid=0x0000000148b23000 nid=0x14b231000 in Object.wait() [0x000000014b230000..0x000000014b230a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b23000  [0x4b231000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b188e8> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/null]" daemon prio=1 tid=0x0000000148b21800
nid=0x14b02e000 in Object.wait() [0x000000014b02d000..0x000000014b02da80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b21800  [0x4b02e000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b189c0> (a java.lang.Object)

"Refresh Editor Context" daemon prio=1 tid=0x0000000148b1a800 nid=0x14a61f000 in Object.wait()
[0x000000014a61e000..0x000000014a61ea80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b1a800  [0x4a61f000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.awt.EventQueue.invokeAndWait(EventQueue.java:992)
	- locked <0x0000000112cca4b0> (a java.awt.EventQueue$1AWTInvocationLock)
	at javax.swing.SwingUtilities.invokeAndWait(SwingUtilities.java:1323)
	at org.netbeans.modules.debugger.jpda.projects.EditorContextImpl.getCurrentLineNumber(EditorContextImpl.java:430)
	at
org.netbeans.modules.debugger.jpda.ui.actions.ToggleBreakpointActionProvider.propertyChange(ToggleBreakpointActionProvider.java:99)
	at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:339)
	at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:276)
	at org.netbeans.modules.debugger.jpda.projects.EditorContextImpl$EditorLookupListener.run(EditorContextImpl.java:1957)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:561)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:986)

"Inactive RequestProcessor thread [Was:background jsp
parsing/org.netbeans.modules.web.core.jsploader.TagLibParseSupport$ParsingRunnable]" daemon prio=1
tid=0x0000000148b11000 nid=0x14980a000 in Object.wait() [0x0000000149809000..0x0000000149809a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b11000  [0x4980a000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b193e0> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:background jsp
parsing/org.netbeans.modules.web.core.jsploader.TagLibParseSupport$ParsingRunnable]" daemon prio=9
tid=0x0000000148b0e000 nid=0x149404000 in Object.wait() [0x0000000149403000..0x0000000149403a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b0e000  [0x49404000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b19590> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/null]" daemon prio=1 tid=0x0000000148b0b800
nid=0x1487e3000 in Object.wait() [0x00000001487e2000..0x00000001487e2a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b0b800  [0x487e3000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b19740> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:TimedSoftReference/org.openide.util.TimedSoftReference]" daemon prio=1
tid=0x0000000148b08800 nid=0x148172000 in Object.wait() [0x0000000148171000..0x0000000148171a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b08800  [0x48172000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b198f0> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:CsmFileTaskFactory/org.netbeans.modules.cnd.model.tasks.CsmFileTaskFactory$1]"
daemon prio=1 tid=0x0000000148b07800 nid=0x147f6f000 in Object.wait() [0x0000000147f6e000..0x0000000147f6ea80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148b07800  [0x47f6f000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b199c8> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:background jsp
parsing/org.netbeans.modules.web.core.jsploader.TagLibParseSupport$ParsingRunnable]" daemon prio=1
tid=0x0000000148a09800 nid=0x143a85000 in Object.wait() [0x0000000143a84000..0x0000000143a84a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148a09800  [0x43a85000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110b1a160> (a java.lang.Object)

"Thread-30" daemon prio=5 tid=0x000000010250f000 nid=0x142c25000 runnable [0x0000000142c24000..0x0000000142c24a80]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_in_native
Thread: 0x000000010250f000  [0x42c25000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_in_native
	at java.net.PlainSocketImpl.socketAccept(Native Method)
	at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:384)
	- locked <0x0000000110755ef0> (a java.net.SocksSocketImpl)
	at java.net.ServerSocket.implAccept(ServerSocket.java:453)
	at java.net.ServerSocket.accept(ServerSocket.java:421)
	at org.apache.tomcat.service.PoolTcpEndpoint.acceptSocket(PoolTcpEndpoint.java:286)
	at org.apache.tomcat.service.TcpWorkerThread.runIt(PoolTcpEndpoint.java:402)
	at org.apache.tomcat.util.ThreadPool$ControlRunnable.run(ThreadPool.java:498)
	at java.lang.Thread.run(Thread.java:637)

"Thread-29" daemon prio=5 tid=0x0000000148a15800 nid=0x142a22000 in Object.wait() [0x0000000142a21000..0x0000000142a21a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148a15800  [0x42a22000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.apache.tomcat.util.ThreadPool$ControlRunnable.run(ThreadPool.java:477)
	- locked <0x00000001108faf90> (a org.apache.tomcat.util.ThreadPool$ControlRunnable)
	at java.lang.Thread.run(Thread.java:637)

"Thread-22" daemon prio=5 tid=0x0000000148939000 nid=0x1483dd000 in Object.wait() [0x00000001483dc000..0x00000001483dca80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148939000  [0x483dd000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.netbeans.modules.j2ee.sun.ide.j2ee.LogViewerSupport.run(LogViewerSupport.java:363)
	- locked <0x0000000110755200> (a org.netbeans.modules.j2ee.sun.ide.j2ee.LogViewerSupport)

"Thread-21" daemon prio=5 tid=0x0000000148925000 nid=0x146ec1000 in Object.wait() [0x0000000146ec0000..0x0000000146ec0a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000148925000  [0x46ec1000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.lang.UNIXProcess.waitFor(UNIXProcess.java:115)
	- locked <0x00000001107553d8> (a java.lang.UNIXProcess)
	at org.netbeans.modules.derby.ExecSupport$1.run(ExecSupport.java:102)

"Thread-20" daemon prio=5 tid=0x0000000148924000 nid=0x146cbe000 waiting on condition
[0x0000000146cbd000..0x0000000146cbda80]
   java.lang.Thread.State: TIMED_WAITING (sleeping)
   JavaThread state: _thread_blocked
Thread: 0x0000000148924000  [0x46cbe000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Thread.sleep(Native Method)
	at org.netbeans.modules.derby.ExecSupport$OutputCopier.read(ExecSupport.java:181)
	at org.netbeans.modules.derby.ExecSupport$OutputCopier.run(ExecSupport.java:156)

"Thread-19" daemon prio=5 tid=0x0000000148923800 nid=0x146abb000 waiting on condition
[0x0000000146aba000..0x0000000146abaa80]
   java.lang.Thread.State: TIMED_WAITING (sleeping)
   JavaThread state: _thread_blocked
Thread: 0x0000000148923800  [0x46abb000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Thread.sleep(Native Method)
	at org.netbeans.modules.derby.ExecSupport$OutputCopier.read(ExecSupport.java:181)
	at org.netbeans.modules.derby.ExecSupport$OutputCopier.run(ExecSupport.java:156)

"Thread-18" daemon prio=5 tid=0x0000000148922800 nid=0x1468b8000 waiting on condition
[0x00000001468b7000..0x00000001468b7a80]
   java.lang.Thread.State: TIMED_WAITING (sleeping)
   JavaThread state: _thread_blocked
Thread: 0x0000000148922800  [0x468b8000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Thread.sleep(Native Method)
	at org.netbeans.modules.derby.ExecSupport$OutputCopier.read(ExecSupport.java:181)
	at org.netbeans.modules.derby.ExecSupport$OutputCopier.run(ExecSupport.java:156)

"process reaper" daemon prio=5 tid=0x000000014891d800 nid=0x14587d000 runnable [0x000000014587c000..0x000000014587ca80]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_in_native
Thread: 0x000000014891d800  [0x4587d000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_in_native
	at java.lang.UNIXProcess.waitForProcessExit(Native Method)
	at java.lang.UNIXProcess.access$900(UNIXProcess.java:17)
	at java.lang.UNIXProcess$2$1.run(UNIXProcess.java:86)

"Thread-17" daemon prio=5 tid=0x000000014890e000 nid=0x1466b5000 in Object.wait() [0x00000001466b4000..0x00000001466b4a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014890e000  [0x466b5000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at org.apache.tomcat.util.ThreadPool$MonitorRunnable.run(ThreadPool.java:390)
	- locked <0x0000000110755ea8> (a org.apache.tomcat.util.ThreadPool$MonitorRunnable)
	at java.lang.Thread.run(Thread.java:637)

"StandardManager" daemon prio=5 tid=0x000000014890b800 nid=0x1462af000 waiting on condition
[0x00000001462ae000..0x00000001462aea80]
   java.lang.Thread.State: TIMED_WAITING (sleeping)
   JavaThread state: _thread_blocked
Thread: 0x000000014890b800  [0x462af000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Thread.sleep(Native Method)
	at org.apache.tomcat.session.StandardManager.threadSleep(StandardManager.java:490)
	at org.apache.tomcat.session.StandardManager.run(StandardManager.java:547)
	at java.lang.Thread.run(Thread.java:637)

"Thread-15" daemon prio=5 tid=0x000000014890a800 nid=0x145df1000 in Object.wait() [0x0000000145df0000..0x0000000145df0a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014890a800  [0x45df1000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.apache.tomcat.util.Queue.pull(Queue.java:89)
	- locked <0x00000001107562c8> (a org.apache.tomcat.util.Queue)
	at org.apache.tomcat.logging.LogDaemon$1.run(TomcatLogger.java:238)
	at org.apache.tomcat.logging.LogDaemon.run(TomcatLogger.java:254)

"pool-1-thread-1" prio=5 tid=0x00000001022e4000 nid=0x144ab6000 waiting on condition
[0x0000000144ab5000..0x0000000144ab5a80]
   java.lang.Thread.State: WAITING (parking)
   JavaThread state: _thread_blocked
Thread: 0x00000001022e4000  [0x44ab6000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x000000010ed0c808> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1925)
	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:358)
	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:946)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:906)
	at java.lang.Thread.run(Thread.java:637)

"GSF Source Worker Thread" prio=6 tid=0x00000001022c7000 nid=0x144111000 in Object.wait()
[0x000000014410f000..0x0000000144110a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001022c7000  [0x44111000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:744)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:735)
	at org.openide.text.CloneableEditorSupport.openDocumentCheckIOE(CloneableEditorSupport.java:715)
	at org.openide.text.CloneableEditorSupport.openDocument(CloneableEditorSupport.java:710)
	- locked <0x0000000111332d90> (a org.openide.windows.CloneableOpenSupport$Listener)
	at org.openide.text.DataEditorSupport.openDocument(DataEditorSupport.java:398)
	at org.netbeans.napi.gsfret.source.UiUtils.getDocument(UiUtils.java:96)
	at org.netbeans.napi.gsfret.source.ParserTaskImpl.parse(ParserTaskImpl.java:142)
	at org.netbeans.modules.gsfret.source.usages.RepositoryUpdater$CompileWorker.updateFile(RepositoryUpdater.java:1439)
	at org.netbeans.modules.gsfret.source.usages.RepositoryUpdater$CompileWorker.access$1900(RepositoryUpdater.java:635)
	at org.netbeans.modules.gsfret.source.usages.RepositoryUpdater$CompileWorker$1.run(RepositoryUpdater.java:863)
	at org.netbeans.modules.gsfret.source.usages.RepositoryUpdater$CompileWorker$1.run(RepositoryUpdater.java:663)
	at org.netbeans.modules.gsfret.source.usages.ClassIndexManager.writeLock(ClassIndexManager.java:123)
	at org.netbeans.modules.gsfret.source.usages.RepositoryUpdater$CompileWorker.run(RepositoryUpdater.java:660)
	at org.netbeans.modules.gsfret.source.usages.RepositoryUpdater$CompileWorker.run(RepositoryUpdater.java:635)
	at org.netbeans.napi.gsfret.source.Source$CompilationJob.run(Source.java:1180)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:885)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:907)
	at java.lang.Thread.run(Thread.java:637)

"org.netbeans.modules.gsfret.source.usages.RepositoryUpdater" prio=6 tid=0x00000001022c5800 nid=0x143f0e000 in
Object.wait() [0x0000000143f0d000..0x0000000143f0da80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001022c5800  [0x43f0e000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010eb38248> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000010eb38248> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Java Source Worker Thread" prio=6 tid=0x00000001022c0800 nid=0x142fab000 in Object.wait()
[0x0000000142fa9000..0x0000000142faaa80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001022c0800  [0x42fab000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:744)
	at org.openide.text.CloneableEditorSupport.openDocumentCheckIOE(CloneableEditorSupport.java:715)
	at org.openide.text.CloneableEditorSupport.openDocument(CloneableEditorSupport.java:710)
	- locked <0x00000001113332b8> (a org.openide.windows.CloneableOpenSupport$Listener)
	at org.openide.text.DataEditorSupport.openDocument(DataEditorSupport.java:398)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.processIncludedFile(SimplifiedJSPServlet.java:279)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.access$100(SimplifiedJSPServlet.java:93)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet$2.visit(SimplifiedJSPServlet.java:250)
	at org.netbeans.modules.web.jsps.parserapi.Node$IncludeDirective.accept(Node.java:688)
	at org.netbeans.modules.web.jsps.parserapi.Node$Nodes.visit(Node.java:2220)
	at org.netbeans.modules.web.jsps.parserapi.Node$Visitor.visitBody(Node.java:2266)
	at org.netbeans.modules.web.jsps.parserapi.Node$Visitor.visit(Node.java:2372)
	at org.netbeans.modules.web.jsps.parserapi.Node$CustomTag.accept(Node.java:1520)
	at org.netbeans.modules.web.jsps.parserapi.Node$Nodes.visit(Node.java:2220)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.processIncludes(SimplifiedJSPServlet.java:259)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.process(SimplifiedJSPServlet.java:180)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.process(SimplifiedJSPServlet.java:152)
	at
org.netbeans.modules.web.core.syntax.JavaSourceProviderImpl$FilterImpl.filterCharSequence(JavaSourceProviderImpl.java:129)
	at org.netbeans.modules.java.source.parsing.SourceFileObject.getCharContentImpl(SourceFileObject.java:397)
	at org.netbeans.modules.java.source.parsing.SourceFileObject.<init>(SourceFileObject.java:109)
	at org.netbeans.modules.java.source.parsing.FileObjects.nbFileObject(FileObjects.java:227)
	at org.netbeans.api.java.source.JavaSource$DefaultJavaFileObjectProvider.createJavaFileObject(JavaSource.java:2416)
	at org.netbeans.api.java.source.CompilationInfoImpl.<init>(CompilationInfoImpl.java:92)
	at org.netbeans.api.java.source.JavaSource.createCurrentInfo(JavaSource.java:2002)
	at org.netbeans.api.java.source.JavaSource.access$3100(JavaSource.java:192)
	at org.netbeans.api.java.source.JavaSource$CompilationJob.run(JavaSource.java:1620)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:885)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:907)
	at java.lang.Thread.run(Thread.java:637)

"DestroyJavaVM" prio=5 tid=0x0000000102001800 nid=0x100501000 waiting on condition [0x0000000000000000..0x0000000100500a60]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_blocked
Thread: 0x0000000102001800  [0x501000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked

"AWT-EventQueue-1" prio=6 tid=0x00000001021b9800 nid=0x141b53000 in Object.wait() [0x0000000141b51000..0x0000000141b52a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001021b9800  [0x41b53000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:744)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:735)
	at org.openide.text.CloneableEditorSupport.openDocumentCheckIOE(CloneableEditorSupport.java:715)
	at org.openide.text.CloneableEditorSupport.openDocument(CloneableEditorSupport.java:710)
	- locked <0x0000000111332e98> (a org.openide.windows.CloneableOpenSupport$Listener)
	at org.openide.text.DataEditorSupport.openDocument(DataEditorSupport.java:398)
	at org.netbeans.modules.editor.NbToolTip.buildTip(NbToolTip.java:241)
	at org.netbeans.modules.editor.NbToolTip.buildToolTip(NbToolTip.java:109)
	- locked <0x0000000122544c68> (a java.lang.Class for org.netbeans.modules.editor.NbToolTip)
	at org.netbeans.modules.editor.NbEditorKit$NbBuildToolTipAction.actionPerformed(NbEditorKit.java:632)
	at org.netbeans.editor.BaseAction.actionPerformed(BaseAction.java:290)
	at org.netbeans.editor.ext.ToolTipSupport.updateToolTip(ToolTipSupport.java:470)
	at org.netbeans.editor.ext.ToolTipSupport.setToolTipVisible(ToolTipSupport.java:497)
	at org.netbeans.editor.ext.ToolTipSupport.actionPerformed(ToolTipSupport.java:771)
	at org.netbeans.editor.WeakTimerListener.actionPerformed(WeakTimerListener.java:85)
	at javax.swing.Timer.fireActionPerformed(Timer.java:271)
	at javax.swing.Timer$DoPostEvent.run(Timer.java:201)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:597)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:104)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:300)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:210)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:195)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:187)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:121)

"TimerQueue" daemon prio=5 tid=0x00000001021b8800 nid=0x13f001000 in Object.wait() [0x000000013f000000..0x000000013f000a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001021b8800  [0x3f001000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at javax.swing.TimerQueue.run(TimerQueue.java:236)
	- locked <0x000000010e2a9bb8> (a javax.swing.TimerQueue)
	at java.lang.Thread.run(Thread.java:637)

"Creator Error Handler Listener" prio=5 tid=0x00000001021b7800 nid=0x141950000 runnable
[0x000000014194f000..0x000000014194fa80]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_in_native
Thread: 0x00000001021b7800  [0x41950000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_in_native
	at java.net.PlainSocketImpl.socketAccept(Native Method)
	at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:384)
	- locked <0x000000010e2a9cc0> (a java.net.SocksSocketImpl)
	at java.net.ServerSocket.implAccept(ServerSocket.java:453)
	at java.net.ServerSocket.accept(ServerSocket.java:421)
	at org.netbeans.modules.visualweb.errorhandler.DebugServerThread.run(DebugServerThread.java:115)

"*** JFluid Separate Command Execution Thread" daemon prio=5 tid=0x00000001021b5000 nid=0x14174d000 in Object.wait()
[0x000000014174c000..0x000000014174ca80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001021b5000  [0x4174d000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010e2a9f30> (a java.lang.Object)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.lib.profiler.ProfilerClient$SeparateCmdExecutionThread.run(ProfilerClient.java:104)
	- locked <0x000000010e2a9f30> (a java.lang.Object)

"Thread-4" daemon prio=5 tid=0x00000001021a9000 nid=0x14154a000 in Object.wait() [0x0000000141549000..0x0000000141549a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001021a9000  [0x4154a000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010de33eb0> (a java.util.LinkedList)
	at java.lang.Object.wait(Object.java:485)
	at java.util.prefs.AbstractPreferences$EventDispatchThread.run(AbstractPreferences.java:1461)
	- locked <0x000000010de33eb0> (a java.util.LinkedList)

"Java2D Disposer" daemon prio=10 tid=0x0000000102038800 nid=0x13ea86000 in Object.wait()
[0x000000013ea85000..0x000000013ea85a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102038800  [0x3ea86000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:116)
	- locked <0x000000010d37e528> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:132)
	at sun.java2d.Disposer.run(Disposer.java:125)
	at java.lang.Thread.run(Thread.java:637)

"AWT-Shutdown" prio=5 tid=0x0000000102037000 nid=0x13c343000 in Object.wait() [0x000000013c342000..0x000000013c342a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102037000  [0x3c343000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:259)
	- locked <0x000000010d37e618> (a java.lang.Object)
	at java.lang.Thread.run(Thread.java:637)

"AWT-AppKit" daemon prio=5 tid=0x0000000102036800 nid=0x7fff700b1dc0 runnable [0x0000000000000000..0x00007fff5fbfcec8]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_in_native
Thread: 0x0000000102036800  [0x700b1dc0] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_in_native

"Timer-0" daemon prio=5 tid=0x0000000102028000 nid=0x12b536000 in Object.wait() [0x000000012b535000..0x000000012b535a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102028000  [0x2b536000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.util.TimerThread.mainLoop(Timer.java:509)
	- locked <0x000000010d37ea20> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"CLI Requests Server" daemon prio=5 tid=0x0000000102027800 nid=0x12b333000 runnable [0x000000012b332000..0x000000012b332a80]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_in_native
Thread: 0x0000000102027800  [0x2b333000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_in_native
	at java.net.PlainSocketImpl.socketAccept(Native Method)
	at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:384)
	- locked <0x000000010d37eb30> (a java.net.SocksSocketImpl)
	at java.net.ServerSocket.implAccept(ServerSocket.java:453)
	at java.net.ServerSocket.accept(ServerSocket.java:421)
	at org.netbeans.CLIHandler$Server.run(CLIHandler.java:1003)

"Active Reference Queue Daemon" daemon prio=1 tid=0x000000010201f000 nid=0x12a58c000 in Object.wait()
[0x000000012a58b000..0x000000012a58ba80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010201f000  [0x2a58c000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:116)
	- locked <0x000000010d37ed98> (a java.lang.ref.ReferenceQueue$Lock)
	at org.openide.util.Utilities$ActiveQueue.run(Utilities.java:3056)
	at java.lang.Thread.run(Thread.java:637)

"Low Memory Detector" daemon prio=5 tid=0x0000000102013800 nid=0x129e10000 runnable [0x0000000000000000..0x0000000000000000]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_blocked
Thread: 0x0000000102013800  [0x29e10000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked

"CompilerThread1" daemon prio=9 tid=0x0000000102011800 nid=0x129c0d000 waiting on condition
[0x0000000000000000..0x0000000129c0b188]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_blocked
Thread: 0x0000000102011800  [0x29c0d000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked

"CompilerThread0" daemon prio=9 tid=0x0000000102010000 nid=0x129a0a000 waiting on condition
[0x0000000000000000..0x0000000129a08188]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_blocked
Thread: 0x0000000102010000  [0x29a0a000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked

"Signal Dispatcher" daemon prio=9 tid=0x000000010200f800 nid=0x129807000 waiting on condition
[0x0000000000000000..0x0000000000000000]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_blocked
Thread: 0x000000010200f800  [0x29807000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked

"Finalizer" daemon prio=8 tid=0x000000010200d000 nid=0x129604000 in Object.wait() [0x0000000129603000..0x0000000129603a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010200d000  [0x29604000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:116)
	- locked <0x000000010d37f120> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:132)
	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:159)

"Reference Handler" daemon prio=10 tid=0x000000010200b800 nid=0x129401000 in Object.wait()
[0x0000000129400000..0x0000000129400a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010200b800  [0x29401000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:116)
	- locked <0x000000010d37e710> (a java.lang.ref.Reference$Lock)

"VM Thread" prio=9 tid=0x000000010200a000 nid=0x101ec2000 runnable 

"VM Periodic Task Thread" prio=10 tid=0x0000000102015000 nid=0x12a013000 waiting on condition 

"Exception Catcher Thread" prio=10 tid=0x0000000102003000 nid=0x100704000 runnable 
Compiler thread printing unimplemented.

JNI global references: 3803

Heap
 def new generation   total 52352K, used 28199K [0x0000000105800000, 0x0000000109260000, 0x000000010d350000)
  eden space 44928K,  54% used [0x0000000105800000, 0x0000000106fd9530, 0x00000001083e0000)
  from space 7424K,  50% used [0x0000000108b20000, 0x0000000108ed0978, 0x0000000109260000)
  to   space 7424K,   0% used [0x00000001083e0000, 0x00000001083e0000, 0x0000000108b20000)
 tenured generation   total 119368K, used 93313K [0x000000010d350000, 0x00000001147e2000, 0x000000011ca00000)
   the space 119368K,  78% used [0x000000010d350000, 0x0000000112e707f0, 0x0000000112e70800, 0x00000001147e2000)
 compacting perm gen  total 94208K, used 93895K [0x000000011ca00000, 0x0000000122600000, 0x0000000129200000)
   the space 94208K,  99% used [0x000000011ca00000, 0x00000001225b1c98, 0x00000001225b1e00, 0x0000000122600000)
No shared spaces configured.

Run with -XX:+RecordJNIHandleStacks to enable JNI handle dumps
Comment 4 cwolves 2008-04-14 20:16:10 UTC
and when opening files:

Full thread dump Java HotSpot(TM) 64-Bit Server VM (1.6.0_04-b12-45-optimized mixed mode):

"JSP Parsing" daemon prio=1 tid=0x000000014f589000 nid=0x14dd5d000 in Object.wait() [0x000000014dd5b000..0x000000014dd5ca80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f589000  [0x4dd5d000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000001113b0870> (a org.openide.windows.CloneableOpenSupport$Listener)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:744)
	at org.openide.text.CloneableEditorSupport.openDocumentCheckIOE(CloneableEditorSupport.java:715)
	at org.openide.text.CloneableEditorSupport.getDocument(CloneableEditorSupport.java:788)
	- locked <0x00000001113b0870> (a org.openide.windows.CloneableOpenSupport$Listener)
	at org.openide.text.CloneableEditorSupport.getInputStream(CloneableEditorSupport.java:1349)
	at org.netbeans.modules.web.jspparser.ParserServletContext.getEditorInputStream(ParserServletContext.java:363)
	at org.netbeans.modules.web.jspparser.ParserServletContext.getResourceAsStream(ParserServletContext.java:326)
	at org.apache.jasper.JspCompilationContext.getResourceAsStream(JspCompilationContext.java:304)
	at org.apache.jasper.compiler.JspUtil.getInputStream(JspUtil.java:890)
	at org.apache.jasper.xmlparser.XMLEncodingDetector.getEncoding(XMLEncodingDetector.java:127)
	at org.apache.jasper.compiler.ParserController.determineSyntaxAndEncoding(ParserController.java:360)
	at org.apache.jasper.compiler.ParserController.doParse(ParserController.java:194)
	at org.apache.jasper.compiler.ParserController.parse(ParserController.java:140)
	at org.apache.jasper.compiler.Parser.processIncludeDirective(Parser.java:374)
	at org.apache.jasper.compiler.Parser.parseIncludeDirective(Parser.java:411)
	at org.apache.jasper.compiler.Parser.parseDirective(Parser.java:554)
	at org.apache.jasper.compiler.Parser.parseElements(Parser.java:1626)
	at org.apache.jasper.compiler.Parser.parse(Parser.java:165)
	at org.apache.jasper.compiler.ParserController.doParse(ParserController.java:223)
	at org.apache.jasper.compiler.ParserController.parse(ParserController.java:124)
	at org.apache.jasper.compiler.GetParseData.parse(GetParseData.java:164)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1.run(WebAppParseSupport.java:482)

"JSP Parsing" daemon prio=1 tid=0x000000014f56c800 nid=0x14d957000 in Object.wait() [0x000000014d955000..0x000000014d956a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f56c800  [0x4d957000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000001113b0870> (a org.openide.windows.CloneableOpenSupport$Listener)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:744)
	at org.openide.text.CloneableEditorSupport.openDocumentCheckIOE(CloneableEditorSupport.java:715)
	at org.openide.text.CloneableEditorSupport.getDocument(CloneableEditorSupport.java:788)
	- locked <0x00000001113b0870> (a org.openide.windows.CloneableOpenSupport$Listener)
	at org.openide.text.CloneableEditorSupport.getInputStream(CloneableEditorSupport.java:1349)
	at org.netbeans.modules.web.jspparser.ParserServletContext.getEditorInputStream(ParserServletContext.java:363)
	at org.netbeans.modules.web.jspparser.ParserServletContext.getResourceAsStream(ParserServletContext.java:326)
	at org.apache.jasper.JspCompilationContext.getResourceAsStream(JspCompilationContext.java:304)
	at org.apache.jasper.compiler.JspUtil.getInputStream(JspUtil.java:890)
	at org.apache.jasper.xmlparser.XMLEncodingDetector.getEncoding(XMLEncodingDetector.java:127)
	at org.apache.jasper.compiler.ParserController.determineSyntaxAndEncoding(ParserController.java:360)
	at org.apache.jasper.compiler.ParserController.doParse(ParserController.java:194)
	at org.apache.jasper.compiler.ParserController.parse(ParserController.java:140)
	at org.apache.jasper.compiler.Parser.processIncludeDirective(Parser.java:374)
	at org.apache.jasper.compiler.Parser.parseIncludeDirective(Parser.java:411)
	at org.apache.jasper.compiler.Parser.parseDirective(Parser.java:554)
	at org.apache.jasper.compiler.Parser.parseElements(Parser.java:1626)
	at org.apache.jasper.compiler.Parser.parse(Parser.java:165)
	at org.apache.jasper.compiler.ParserController.doParse(ParserController.java:223)
	at org.apache.jasper.compiler.ParserController.parse(ParserController.java:124)
	at org.apache.jasper.compiler.GetParseData.parse(GetParseData.java:164)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1.run(WebAppParseSupport.java:482)

"JSP Parsing" daemon prio=1 tid=0x000000014f573000 nid=0x149e65000 in Object.wait() [0x0000000149e63000..0x0000000149e64a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f573000  [0x49e65000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000001113b0870> (a org.openide.windows.CloneableOpenSupport$Listener)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:744)
	at org.openide.text.CloneableEditorSupport.openDocumentCheckIOE(CloneableEditorSupport.java:715)
	at org.openide.text.CloneableEditorSupport.getDocument(CloneableEditorSupport.java:788)
	- locked <0x00000001113b0870> (a org.openide.windows.CloneableOpenSupport$Listener)
	at org.openide.text.CloneableEditorSupport.getInputStream(CloneableEditorSupport.java:1349)
	at org.netbeans.modules.web.jspparser.ParserServletContext.getEditorInputStream(ParserServletContext.java:363)
	at org.netbeans.modules.web.jspparser.ParserServletContext.getResourceAsStream(ParserServletContext.java:326)
	at org.apache.jasper.JspCompilationContext.getResourceAsStream(JspCompilationContext.java:304)
	at org.apache.jasper.compiler.JspUtil.getInputStream(JspUtil.java:890)
	at org.apache.jasper.xmlparser.XMLEncodingDetector.getEncoding(XMLEncodingDetector.java:127)
	at org.apache.jasper.compiler.ParserController.determineSyntaxAndEncoding(ParserController.java:360)
	at org.apache.jasper.compiler.ParserController.doParse(ParserController.java:194)
	at org.apache.jasper.compiler.ParserController.parse(ParserController.java:140)
	at org.apache.jasper.compiler.Parser.processIncludeDirective(Parser.java:374)
	at org.apache.jasper.compiler.Parser.parseIncludeDirective(Parser.java:411)
	at org.apache.jasper.compiler.Parser.parseDirective(Parser.java:554)
	at org.apache.jasper.compiler.Parser.parseElements(Parser.java:1626)
	at org.apache.jasper.compiler.Parser.parse(Parser.java:165)
	at org.apache.jasper.compiler.ParserController.doParse(ParserController.java:223)
	at org.apache.jasper.compiler.ParserController.parse(ParserController.java:124)
	at org.apache.jasper.compiler.GetParseData.parse(GetParseData.java:164)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1.run(WebAppParseSupport.java:482)

"JSP Parsing" daemon prio=1 tid=0x000000014f4e7000 nid=0x148844000 in Object.wait() [0x0000000148842000..0x0000000148843a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f4e7000  [0x48844000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000001113b0870> (a org.openide.windows.CloneableOpenSupport$Listener)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:744)
	at org.openide.text.CloneableEditorSupport.openDocumentCheckIOE(CloneableEditorSupport.java:715)
	at org.openide.text.CloneableEditorSupport.getDocument(CloneableEditorSupport.java:788)
	- locked <0x00000001113b0870> (a org.openide.windows.CloneableOpenSupport$Listener)
	at org.openide.text.CloneableEditorSupport.getInputStream(CloneableEditorSupport.java:1349)
	at org.netbeans.modules.web.jspparser.ParserServletContext.getEditorInputStream(ParserServletContext.java:363)
	at org.netbeans.modules.web.jspparser.ParserServletContext.getResourceAsStream(ParserServletContext.java:326)
	at org.apache.jasper.JspCompilationContext.getResourceAsStream(JspCompilationContext.java:304)
	at org.apache.jasper.compiler.JspUtil.getInputStream(JspUtil.java:890)
	at org.apache.jasper.xmlparser.XMLEncodingDetector.getEncoding(XMLEncodingDetector.java:127)
	at org.apache.jasper.compiler.ParserController.determineSyntaxAndEncoding(ParserController.java:360)
	at org.apache.jasper.compiler.ParserController.doParse(ParserController.java:194)
	at org.apache.jasper.compiler.ParserController.parse(ParserController.java:140)
	at org.apache.jasper.compiler.Parser.processIncludeDirective(Parser.java:374)
	at org.apache.jasper.compiler.Parser.parseIncludeDirective(Parser.java:411)
	at org.apache.jasper.compiler.Parser.parseDirective(Parser.java:554)
	at org.apache.jasper.compiler.Parser.parseElements(Parser.java:1626)
	at org.apache.jasper.compiler.Parser.parse(Parser.java:165)
	at org.apache.jasper.compiler.ParserController.doParse(ParserController.java:223)
	at org.apache.jasper.compiler.ParserController.parse(ParserController.java:124)
	at org.apache.jasper.compiler.GetParseData.parse(GetParseData.java:164)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1.run(WebAppParseSupport.java:482)

"JSP Parsing" daemon prio=1 tid=0x000000014f4da800 nid=0x1474e5000 in Object.wait() [0x00000001474e3000..0x00000001474e4a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f4da800  [0x474e5000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000001113b0870> (a org.openide.windows.CloneableOpenSupport$Listener)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:744)
	at org.openide.text.CloneableEditorSupport.openDocumentCheckIOE(CloneableEditorSupport.java:715)
	at org.openide.text.CloneableEditorSupport.getDocument(CloneableEditorSupport.java:788)
	- locked <0x00000001113b0870> (a org.openide.windows.CloneableOpenSupport$Listener)
	at org.openide.text.CloneableEditorSupport.getInputStream(CloneableEditorSupport.java:1349)
	at org.netbeans.modules.web.jspparser.ParserServletContext.getEditorInputStream(ParserServletContext.java:363)
	at org.netbeans.modules.web.jspparser.ParserServletContext.getResourceAsStream(ParserServletContext.java:326)
	at org.apache.jasper.JspCompilationContext.getResourceAsStream(JspCompilationContext.java:304)
	at org.apache.jasper.compiler.JspUtil.getInputStream(JspUtil.java:890)
	at org.apache.jasper.xmlparser.XMLEncodingDetector.getEncoding(XMLEncodingDetector.java:127)
	at org.apache.jasper.compiler.ParserController.determineSyntaxAndEncoding(ParserController.java:360)
	at org.apache.jasper.compiler.ParserController.doParse(ParserController.java:194)
	at org.apache.jasper.compiler.ParserController.parse(ParserController.java:140)
	at org.apache.jasper.compiler.Parser.processIncludeDirective(Parser.java:374)
	at org.apache.jasper.compiler.Parser.parseIncludeDirective(Parser.java:411)
	at org.apache.jasper.compiler.Parser.parseDirective(Parser.java:554)
	at org.apache.jasper.compiler.Parser.parseElements(Parser.java:1626)
	at org.apache.jasper.compiler.Parser.parse(Parser.java:165)
	at org.apache.jasper.compiler.ParserController.doParse(ParserController.java:223)
	at org.apache.jasper.compiler.ParserController.parse(ParserController.java:124)
	at org.apache.jasper.compiler.GetParseData.parse(GetParseData.java:164)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1.run(WebAppParseSupport.java:482)

"JSP Parsing" daemon prio=9 tid=0x000000014f55f800 nid=0x1457cf000 in Object.wait() [0x00000001457ce000..0x00000001457cea80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f55f800  [0x457cf000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111249578> (a org.openide.windows.CloneableOpenSupport$Listener)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:744)
	at org.openide.text.CloneableEditorSupport.openDocumentCheckIOE(CloneableEditorSupport.java:715)
	at org.openide.text.CloneableEditorSupport.getDocument(CloneableEditorSupport.java:788)
	- locked <0x0000000111249578> (a org.openide.windows.CloneableOpenSupport$Listener)
	at org.openide.text.CloneableEditorSupport.getInputStream(CloneableEditorSupport.java:1349)
	at org.netbeans.modules.web.jspparser.ParserServletContext.getEditorInputStream(ParserServletContext.java:363)
	at org.netbeans.modules.web.jspparser.ParserServletContext.getResourceAsStream(ParserServletContext.java:326)
	at org.apache.jasper.JspCompilationContext.getResourceAsStream(JspCompilationContext.java:304)
	at org.apache.jasper.compiler.JspUtil.getInputStream(JspUtil.java:890)
	at org.apache.jasper.xmlparser.XMLEncodingDetector.getEncoding(XMLEncodingDetector.java:127)
	at org.apache.jasper.compiler.ParserController.determineSyntaxAndEncoding(ParserController.java:360)
	at org.apache.jasper.compiler.ParserController.doParse(ParserController.java:194)
	at org.apache.jasper.compiler.ParserController.parse(ParserController.java:124)
	at org.apache.jasper.compiler.GetParseData.parse(GetParseData.java:164)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1.run(WebAppParseSupport.java:482)

"Timer-66" prio=6 tid=0x000000014f64d000 nid=0x15cf3e000 in Object.wait() [0x000000015cf3d000..0x000000015cf3da80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f64d000  [0x5cf3e000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000001121bf748> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x00000001121bf748> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-64" prio=6 tid=0x000000014f636800 nid=0x15c733000 in Object.wait() [0x000000015c732000..0x000000015c732a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f636800  [0x5c733000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000001121bf940> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x00000001121bf940> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-62" prio=6 tid=0x000000014f632000 nid=0x15c32d000 in Object.wait() [0x000000015c32c000..0x000000015c32ca80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f632000  [0x5c32d000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000001121bfb38> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x00000001121bfb38> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-60" prio=6 tid=0x000000014f5a5800 nid=0x15b71b000 in Object.wait() [0x000000015b71a000..0x000000015b71aa80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f5a5800  [0x5b71b000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000001121bfd30> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x00000001121bfd30> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-58" prio=6 tid=0x000000014f628000 nid=0x15b315000 in Object.wait() [0x000000015b314000..0x000000015b314a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f628000  [0x5b315000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111f2b1a0> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111f2b1a0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-54" prio=6 tid=0x000000014f5f9000 nid=0x15a2fd000 in Object.wait() [0x000000015a2fc000..0x000000015a2fca80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f5f9000  [0x5a2fd000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111f2b5b0> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111f2b5b0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-50" prio=6 tid=0x000000014f5b0000 nid=0x1594e8000 in Object.wait() [0x00000001594e7000..0x00000001594e7a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f5b0000  [0x594e8000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111f2b958> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111f2b958> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-46" prio=6 tid=0x000000014f5da000 nid=0x1582cd000 in Object.wait() [0x00000001582cc000..0x00000001582cca80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f5da000  [0x582cd000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111d57f68> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d57f68> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-42" prio=6 tid=0x000000014f5b9000 nid=0x1572b5000 in Object.wait() [0x00000001572b4000..0x00000001572b4a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f5b9000  [0x572b5000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111d583c8> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d583c8> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-40" prio=6 tid=0x000000014f5a0800 nid=0x156eaf000 in Object.wait() [0x0000000156eae000..0x0000000156eaea80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f5a0800  [0x56eaf000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111d585c0> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d585c0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-38" prio=6 tid=0x000000014f4f3000 nid=0x15629d000 in Object.wait() [0x000000015629c000..0x000000015629ca80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f4f3000  [0x5629d000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111d587b8> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d587b8> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-36" prio=6 tid=0x000000014f50e000 nid=0x155e97000 in Object.wait() [0x0000000155e96000..0x0000000155e96a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f50e000  [0x55e97000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111d589b0> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111d589b0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-34" prio=6 tid=0x000000014f588800 nid=0x15568b000 in Object.wait() [0x000000015568a000..0x000000015568aa80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f588800  [0x5568b000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111a8ec78> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a8ec78> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-32" prio=6 tid=0x000000014f570800 nid=0x155285000 in Object.wait() [0x0000000155284000..0x0000000155284a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f570800  [0x55285000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111a8ee70> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a8ee70> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-30" prio=6 tid=0x000000014f53e000 nid=0x153c64000 in Object.wait() [0x0000000153c63000..0x0000000153c63a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f53e000  [0x53c64000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111a8f188> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a8f188> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-26" prio=6 tid=0x000000014f51f800 nid=0x15223d000 in Object.wait() [0x000000015223c000..0x000000015223ca80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f51f800  [0x5223d000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111a8f530> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a8f530> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-24" prio=6 tid=0x000000014f508000 nid=0x151e37000 in Object.wait() [0x0000000151e36000..0x0000000151e36a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f508000  [0x51e37000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111a8f728> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a8f728> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-22" prio=6 tid=0x000000014f4fb000 nid=0x151a31000 in Object.wait() [0x0000000151a30000..0x0000000151a30a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f4fb000  [0x51a31000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111a8f920> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111a8f920> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-18" prio=6 tid=0x000000014f4e5800 nid=0x150a19000 in Object.wait() [0x0000000150a18000..0x0000000150a18a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f4e5800  [0x50a19000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111919cf0> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111919cf0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-14" prio=6 tid=0x000000014f4cb800 nid=0x15020d000 in Object.wait() [0x000000015020c000..0x000000015020ca80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f4cb800  [0x5020d000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000011191a098> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000011191a098> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-12" prio=6 tid=0x000000014f4b0000 nid=0x14fe07000 in Object.wait() [0x000000014fe06000..0x000000014fe06a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f4b0000  [0x4fe07000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000011191a290> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000011191a290> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-10" prio=6 tid=0x000000014f49a000 nid=0x14e76c000 in Object.wait() [0x000000014e76b000..0x000000014e76ba80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f49a000  [0x4e76c000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111926640> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x0000000111926640> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-6" prio=6 tid=0x000000014f47c000 nid=0x14db5a000 in Object.wait() [0x000000014db59000..0x000000014db59a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f47c000  [0x4db5a000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000011183f8a0> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000011183f8a0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Timer-2" prio=6 tid=0x000000014f463000 nid=0x1463b1000 in Object.wait() [0x00000001463b0000..0x00000001463b0a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000014f463000  [0x463b1000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000011174faa0> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000011174faa0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/null]" daemon prio=1 tid=0x00000001024d5800
nid=0x14d754000 in Object.wait() [0x000000014d753000..0x000000014d753a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001024d5800  [0x4d754000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000110653550> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110653550> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/null]" daemon prio=1 tid=0x00000001026a1000
nid=0x14d551000 in Object.wait() [0x000000014d550000..0x000000014d550a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001026a1000  [0x4d551000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000110653628> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x0000000110653628> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/null]" daemon prio=1 tid=0x000000010268a000
nid=0x143a0d000 in Object.wait() [0x0000000143a0c000..0x0000000143a0ca80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010268a000  [0x43a0d000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000001105dc4f8> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x00000001105dc4f8> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/null]" daemon prio=1 tid=0x0000000102684800
nid=0x142797000 in Object.wait() [0x0000000142796000..0x0000000142796a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102684800  [0x42797000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000001105dc6a8> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x00000001105dc6a8> (a java.lang.Object)

"background jsp parsing" daemon prio=1 tid=0x000000010262b000 nid=0x14d34e000 in Object.wait()
[0x000000014d34d000..0x000000014d34da80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010262b000  [0x4d34e000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000112c35ed8> (a org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1)
	at java.lang.Thread.join(Thread.java:1161)
	- locked <0x0000000112c35ed8> (a org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1)
	at java.lang.Thread.join(Thread.java:1214)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport.callTomcatParser(WebAppParseSupport.java:500)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport.analyzePage(WebAppParseSupport.java:410)
	at org.netbeans.modules.web.jspparser.JspParserImpl.analyzePage(JspParserImpl.java:158)
	at org.netbeans.modules.web.core.jsploader.TagLibParseSupport$ParsingRunnable.run(TagLibParseSupport.java:363)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:561)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:986)

"background jsp parsing" daemon prio=1 tid=0x0000000102650800 nid=0x14d113000 in Object.wait()
[0x000000014d112000..0x000000014d112a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102650800  [0x4d113000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000112c36558> (a org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1)
	at java.lang.Thread.join(Thread.java:1161)
	- locked <0x0000000112c36558> (a org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1)
	at java.lang.Thread.join(Thread.java:1214)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport.callTomcatParser(WebAppParseSupport.java:500)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport.analyzePage(WebAppParseSupport.java:410)
	at org.netbeans.modules.web.jspparser.JspParserImpl.analyzePage(JspParserImpl.java:158)
	at org.netbeans.modules.web.core.jsploader.TagLibParseSupport$ParsingRunnable.run(TagLibParseSupport.java:363)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:561)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:986)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/null]" daemon prio=1 tid=0x000000010264f800
nid=0x14725c000 in Object.wait() [0x000000014725b000..0x000000014725ba80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010264f800  [0x4725c000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000011041eea8> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000011041eea8> (a java.lang.Object)

"background jsp parsing" daemon prio=1 tid=0x00000001023b4800 nid=0x14bc92000 in Object.wait()
[0x000000014bc91000..0x000000014bc91a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001023b4800  [0x4bc92000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000112c37258> (a org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1)
	at java.lang.Thread.join(Thread.java:1161)
	- locked <0x0000000112c37258> (a org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1)
	at java.lang.Thread.join(Thread.java:1214)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport.callTomcatParser(WebAppParseSupport.java:500)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport.analyzePage(WebAppParseSupport.java:410)
	at org.netbeans.modules.web.jspparser.JspParserImpl.analyzePage(JspParserImpl.java:158)
	at org.netbeans.modules.web.core.jsploader.TagLibParseSupport$ParsingRunnable.run(TagLibParseSupport.java:363)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:561)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:986)

"Inactive RequestProcessor thread [Was:TimedWeakReference/org.netbeans.modules.projectapi.TimedWeakReference]" daemon
prio=1 tid=0x00000001023b3800 nid=0x14ba8f000 in Object.wait() [0x000000014ba8e000..0x000000014ba8ea80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001023b3800  [0x4ba8f000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ef7af30> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ef7af30> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:TimedSoftReference/org.openide.util.TimedSoftReference]" daemon prio=1
tid=0x00000001023a7800 nid=0x14b689000 in Object.wait() [0x000000014b688000..0x000000014b688a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001023a7800  [0x4b689000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010efd63a8> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010efd63a8> (a java.lang.Object)

"GSF Source Worker Thread" prio=6 tid=0x0000000102055000 nid=0x14b283000 in Object.wait()
[0x000000014b281000..0x000000014b282a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102055000  [0x4b283000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000111249578> (a org.openide.windows.CloneableOpenSupport$Listener)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:744)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:735)
	at org.openide.text.CloneableEditorSupport.openDocumentCheckIOE(CloneableEditorSupport.java:715)
	at org.openide.text.CloneableEditorSupport.openDocument(CloneableEditorSupport.java:710)
	- locked <0x0000000111249578> (a org.openide.windows.CloneableOpenSupport$Listener)
	at org.openide.text.DataEditorSupport.openDocument(DataEditorSupport.java:398)
	at org.netbeans.napi.gsfret.source.UiUtils.getDocument(UiUtils.java:96)
	at org.netbeans.napi.gsfret.source.ParserTaskImpl.parse(ParserTaskImpl.java:142)
	at org.netbeans.modules.gsfret.source.usages.RepositoryUpdater$CompileWorker.updateFile(RepositoryUpdater.java:1439)
	at org.netbeans.modules.gsfret.source.usages.RepositoryUpdater$CompileWorker.access$1900(RepositoryUpdater.java:635)
	at org.netbeans.modules.gsfret.source.usages.RepositoryUpdater$CompileWorker$1.run(RepositoryUpdater.java:863)
	at org.netbeans.modules.gsfret.source.usages.RepositoryUpdater$CompileWorker$1.run(RepositoryUpdater.java:663)
	at org.netbeans.modules.gsfret.source.usages.ClassIndexManager.writeLock(ClassIndexManager.java:123)
	at org.netbeans.modules.gsfret.source.usages.RepositoryUpdater$CompileWorker.run(RepositoryUpdater.java:660)
	at org.netbeans.modules.gsfret.source.usages.RepositoryUpdater$CompileWorker.run(RepositoryUpdater.java:635)
	at org.netbeans.napi.gsfret.source.Source$CompilationJob.run(Source.java:1180)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:885)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:907)
	at java.lang.Thread.run(Thread.java:637)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/null]" daemon prio=1 tid=0x0000000102054000
nid=0x14b080000 in Object.wait() [0x000000014b07f000..0x000000014b07fa80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102054000  [0x4b080000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ef7b958> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ef7b958> (a java.lang.Object)

"org.netbeans.modules.gsfret.source.usages.RepositoryUpdater" prio=6 tid=0x0000000102050000 nid=0x14ae7d000 in
Object.wait() [0x000000014ae7c000..0x000000014ae7ca80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102050000  [0x4ae7d000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ee73dd0> (a java.util.TaskQueue)
	at java.lang.Object.wait(Object.java:485)
	at java.util.TimerThread.mainLoop(Timer.java:483)
	- locked <0x000000010ee73dd0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Inactive RequestProcessor thread [Was:Default
RequestProcessor/org.netbeans.modules.editor.errorstripe.AnnotationView$RepaintTask]" daemon prio=1
tid=0x00000001021fe800 nid=0x14ac7a000 in Object.wait() [0x000000014ac79000..0x000000014ac79a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001021fe800  [0x4ac7a000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ee5dd50> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ee5dd50> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:SelectionAwareSourceTaskFactory
worker/org.netbeans.napi.gsfret.source.support.SelectionAwareSourceTaskFactory$ComponentListener$1]" daemon prio=1
tid=0x0000000102446800 nid=0x14aa77000 in Object.wait() [0x000000014aa76000..0x000000014aa76a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102446800  [0x4aa77000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ee5dc68> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ee5dc68> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/null]" daemon prio=1 tid=0x0000000102445800
nid=0x14a874000 in Object.wait() [0x000000014a873000..0x000000014a873a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102445800  [0x4a874000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ee5db80> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ee5db80> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default
RequestProcessor/org.netbeans.modules.editor.errorstripe.AnnotationView$RepaintTask]" daemon prio=1
tid=0x0000000102444000 nid=0x14a671000 in Object.wait() [0x000000014a670000..0x000000014a670a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102444000  [0x4a671000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ee5da98> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ee5da98> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:OpenIDE-request-processor-3/org.netbeans.modules.subversion.FileStatusCache$3]"
daemon prio=1 tid=0x0000000102442800 nid=0x14a46e000 in Object.wait() [0x000000014a46d000..0x000000014a46da80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102442800  [0x4a46e000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ee5d9b0> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ee5d9b0> (a java.lang.Object)

"Java Source Worker Thread" prio=6 tid=0x000000010243d000 nid=0x149a5f000 in Object.wait()
[0x0000000149a5d000..0x0000000149a5ea80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010243d000  [0x49a5f000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000001124d70c0> (a org.openide.util.RequestProcessor$Task)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.util.Task.waitFinished(Task.java:130)
	- locked <0x00000001124d70c0> (a org.openide.util.RequestProcessor$Task)
	at org.openide.util.RequestProcessor$Task.waitFinished(RequestProcessor.java:745)
	at org.netbeans.modules.web.core.jsploader.TagLibParseSupport.getCachedParseResult(TagLibParseSupport.java:319)
	at org.netbeans.modules.web.core.jsploader.JspContextInfoImpl.getCachedParseResult(JspContextInfoImpl.java:125)
	at org.netbeans.modules.web.core.syntax.JspUtils.getCachedParseResult(JspUtils.java:121)
	at org.netbeans.modules.web.core.syntax.JspUtils.getCachedParseResult(JspUtils.java:129)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.process(SimplifiedJSPServlet.java:171)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.process(SimplifiedJSPServlet.java:152)
	at
org.netbeans.modules.web.core.syntax.JavaSourceProviderImpl$FilterImpl.filterCharSequence(JavaSourceProviderImpl.java:129)
	at org.netbeans.modules.java.source.parsing.SourceFileObject.getCharContentImpl(SourceFileObject.java:397)
	at org.netbeans.modules.java.source.parsing.SourceFileObject.<init>(SourceFileObject.java:109)
	at org.netbeans.modules.java.source.parsing.FileObjects.nbFileObject(FileObjects.java:227)
	at org.netbeans.api.java.source.JavaSource$DefaultJavaFileObjectProvider.createJavaFileObject(JavaSource.java:2416)
	at org.netbeans.api.java.source.CompilationInfoImpl.<init>(CompilationInfoImpl.java:92)
	at org.netbeans.api.java.source.JavaSource.createCurrentInfo(JavaSource.java:2002)
	at org.netbeans.api.java.source.JavaSource.access$3100(JavaSource.java:192)
	at org.netbeans.api.java.source.JavaSource$CompilationJob.run(JavaSource.java:1620)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:885)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:907)
	at java.lang.Thread.run(Thread.java:637)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/null]" daemon prio=1 tid=0x000000010243c800
nid=0x14985c000 in Object.wait() [0x000000014985b000..0x000000014985ba80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010243c800  [0x4985c000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ee5d528> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ee5d528> (a java.lang.Object)

"Document Processing" daemon prio=3 tid=0x0000000102439800 nid=0x149456000 in Object.wait()
[0x0000000149454000..0x0000000149455a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102439800  [0x49456000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000001113b0870> (a org.openide.windows.CloneableOpenSupport$Listener)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:744)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:735)
	at org.openide.text.CloneableEditorSupport.openDocumentCheckIOE(CloneableEditorSupport.java:715)
	at org.openide.text.CloneableEditorSupport.openDocument(CloneableEditorSupport.java:710)
	- locked <0x00000001113b0870> (a org.openide.windows.CloneableOpenSupport$Listener)
	at org.openide.text.DataEditorSupport.openDocument(DataEditorSupport.java:398)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.processIncludedFile(SimplifiedJSPServlet.java:279)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.access$100(SimplifiedJSPServlet.java:93)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet$2.visit(SimplifiedJSPServlet.java:250)
	at org.netbeans.modules.web.jsps.parserapi.Node$IncludeDirective.accept(Node.java:688)
	at org.netbeans.modules.web.jsps.parserapi.Node$Nodes.visit(Node.java:2220)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.processIncludes(SimplifiedJSPServlet.java:259)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.process(SimplifiedJSPServlet.java:180)
	at org.netbeans.modules.web.core.syntax.SimplifiedJSPServlet.process(SimplifiedJSPServlet.java:152)
	at
org.netbeans.modules.web.core.syntax.JavaSourceProviderImpl$FilterImpl.filterCharSequence(JavaSourceProviderImpl.java:129)
	at org.netbeans.modules.java.source.parsing.SourceFileObject.getCharContentImpl(SourceFileObject.java:397)
	at org.netbeans.modules.java.source.parsing.SourceFileObject.<init>(SourceFileObject.java:109)
	at org.netbeans.modules.java.source.parsing.FileObjects.nbFileObject(FileObjects.java:227)
	at org.netbeans.api.java.source.JavaSource$DefaultJavaFileObjectProvider.createJavaFileObject(JavaSource.java:2416)
	at org.netbeans.api.java.source.CompilationInfoImpl.<init>(CompilationInfoImpl.java:92)
	at org.netbeans.api.java.source.JavaSource.createCurrentInfo(JavaSource.java:2002)
	at org.netbeans.api.java.source.JavaSource.runUserActionTask(JavaSource.java:639)
	at org.netbeans.modules.debugger.jpda.projects.EditorContextImpl.getFieldLineNumber(EditorContextImpl.java:755)
	at
org.netbeans.modules.debugger.jpda.projects.BreakpointAnnotationProvider.getAnnotationLines(BreakpointAnnotationProvider.java:239)
	at
org.netbeans.modules.debugger.jpda.projects.BreakpointAnnotationProvider.addAnnotationTo(BreakpointAnnotationProvider.java:270)
	at org.netbeans.modules.debugger.jpda.projects.BreakpointAnnotationProvider.annotate(BreakpointAnnotationProvider.java:120)
	- locked <0x0000000112691df8> (a java.util.HashMap)
	at org.openide.text.CloneableEditorSupport.ensureAnnotationsLoaded(CloneableEditorSupport.java:368)
	at org.openide.text.CloneableEditor$DoInitialize.initRest(CloneableEditor.java:405)
	at org.openide.text.CloneableEditor$DoInitialize.run(CloneableEditor.java:252)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:561)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:986)

"Inactive RequestProcessor thread [Was:Default
RequestProcessor/org.netbeans.core.windows.FloatingWindowTransparencyManager$2]" daemon prio=1 tid=0x0000000102435800
nid=0x149253000 in Object.wait() [0x0000000149252000..0x0000000149252a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102435800  [0x49253000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ee5d270> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ee5d270> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/null]" daemon prio=1 tid=0x0000000102434800
nid=0x149050000 in Object.wait() [0x000000014904f000..0x000000014904fa80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102434800  [0x49050000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ee5d188> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ee5d188> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default
RequestProcessor/org.netbeans.modules.editor.errorstripe.AnnotationView$RepaintTask]" daemon prio=1
tid=0x000000010242d800 nid=0x147887000 in Object.wait() [0x0000000147886000..0x0000000147886a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010242d800  [0x47887000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ee5c8d0> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ee5c8d0> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default
RequestProcessor/org.netbeans.core.windows.FloatingWindowTransparencyManager$2]" daemon prio=1 tid=0x0000000102426800
nid=0x145f74000 in Object.wait() [0x0000000145f73000..0x0000000145f73a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102426800  [0x45f74000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ee4a7d8> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ee4a7d8> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/null]" daemon prio=1 tid=0x0000000102422800
nid=0x1453c9000 in Object.wait() [0x00000001453c8000..0x00000001453c8a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102422800  [0x453c9000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ee4a520> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ee4a520> (a java.lang.Object)

"background jsp parsing" daemon prio=9 tid=0x000000010241f000 nid=0x144b68000 in Object.wait()
[0x0000000144b67000..0x0000000144b67a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010241f000  [0x44b68000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000112c37900> (a org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1)
	at java.lang.Thread.join(Thread.java:1161)
	- locked <0x0000000112c37900> (a org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1)
	at java.lang.Thread.join(Thread.java:1214)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport.callTomcatParser(WebAppParseSupport.java:500)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport.analyzePage(WebAppParseSupport.java:410)
	at org.netbeans.modules.web.jspparser.JspParserImpl.analyzePage(JspParserImpl.java:158)
	at org.netbeans.modules.web.core.jsploader.TagLibParseSupport$ParsingRunnable.run(TagLibParseSupport.java:363)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:561)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:986)

"Inactive RequestProcessor thread [Was:TimedSoftReference/org.openide.util.TimedSoftReference]" daemon prio=1
tid=0x000000010241d000 nid=0x14449a000 in Object.wait() [0x0000000144499000..0x0000000144499a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010241d000  [0x4449a000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ee4a098> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ee4a098> (a java.lang.Object)

"background jsp parsing" daemon prio=1 tid=0x000000010241b800 nid=0x143efc000 in Object.wait()
[0x0000000143efb000..0x0000000143efba80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010241b800  [0x43efc000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000112c36bd8> (a org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1)
	at java.lang.Thread.join(Thread.java:1161)
	- locked <0x0000000112c36bd8> (a org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1)
	at java.lang.Thread.join(Thread.java:1214)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport.callTomcatParser(WebAppParseSupport.java:500)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport.analyzePage(WebAppParseSupport.java:410)
	at org.netbeans.modules.web.jspparser.JspParserImpl.analyzePage(JspParserImpl.java:158)
	at org.netbeans.modules.web.core.jsploader.TagLibParseSupport$ParsingRunnable.run(TagLibParseSupport.java:363)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:561)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:986)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/null]" daemon prio=1 tid=0x000000010241a800
nid=0x143cf9000 in Object.wait() [0x0000000143cf8000..0x0000000143cf8a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010241a800  [0x43cf9000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ee49de0> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ee49de0> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:Default
RequestProcessor/org.netbeans.modules.editor.errorstripe.AnnotationView$RepaintTask]" daemon prio=1
tid=0x0000000102350800 nid=0x14365e000 in Object.wait() [0x000000014365d000..0x000000014365da80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102350800  [0x4365e000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ee49cf8> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ee49cf8> (a java.lang.Object)

"Versioning long tasks" daemon prio=1 tid=0x000000010222a800 nid=0x142d6a000 in Object.wait()
[0x0000000142d69000..0x0000000142d69a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010222a800  [0x42d6a000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000001124d7820> (a org.openide.windows.CloneableOpenSupport$Listener)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:744)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:735)
	at org.openide.text.CloneableEditorSupport.openDocumentCheckIOE(CloneableEditorSupport.java:715)
	at org.openide.text.CloneableEditorSupport.openDocument(CloneableEditorSupport.java:710)
	- locked <0x00000001124d7820> (a org.openide.windows.CloneableOpenSupport$Listener)
	at org.openide.text.DataEditorSupport.openDocument(DataEditorSupport.java:398)
	at org.netbeans.modules.versioning.diff.DiffSidebar.createReader(DiffSidebar.java:788)
	at org.netbeans.modules.versioning.diff.DiffSidebar.getText(DiffSidebar.java:759)
	at org.netbeans.modules.versioning.diff.DiffSidebar.access$900(DiffSidebar.java:88)
	at org.netbeans.modules.versioning.diff.DiffSidebar$RefreshDiffTask.fetchOriginalContent(DiffSidebar.java:704)
	at org.netbeans.modules.versioning.diff.DiffSidebar$RefreshDiffTask.computeDiff(DiffSidebar.java:677)
	at org.netbeans.modules.versioning.diff.DiffSidebar$RefreshDiffTask.run(DiffSidebar.java:667)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:561)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:986)

"pool-1-thread-1" prio=5 tid=0x00000001022db800 nid=0x14345b000 waiting on condition
[0x000000014345a000..0x000000014345aa80]
   java.lang.Thread.State: WAITING (parking)
   JavaThread state: _thread_blocked
Thread: 0x00000001022db800  [0x4345b000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x000000010eed1c28> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1925)
	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:358)
	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:946)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:906)
	at java.lang.Thread.run(Thread.java:637)

"Inactive RequestProcessor thread [Was:background jsp
parsing/org.netbeans.modules.web.core.jsploader.TagLibParseSupport$ParsingRunnable]" daemon prio=1
tid=0x00000001021f4800 nid=0x1461ae000 in Object.wait() [0x00000001461ad000..0x00000001461ada80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001021f4800  [0x461ae000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ea2b968> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010ea2b968> (a java.lang.Object)

"DestroyJavaVM" prio=5 tid=0x0000000102001800 nid=0x100501000 waiting on condition [0x0000000000000000..0x0000000100500a60]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_blocked
Thread: 0x0000000102001800  [0x501000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked

"AWT-EventQueue-1" prio=6 tid=0x00000001021ab000 nid=0x142401000 in Object.wait() [0x00000001423ff000..0x0000000142400a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001021ab000  [0x42401000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x00000001113b0660> (a org.openide.windows.CloneableOpenSupport$Listener)
	at java.lang.Object.wait(Object.java:485)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:744)
	at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEditorSupport.java:735)
	at org.openide.text.CloneableEditorSupport.openDocumentCheckIOE(CloneableEditorSupport.java:715)
	at org.openide.text.CloneableEditorSupport.openDocument(CloneableEditorSupport.java:710)
	- locked <0x00000001113b0660> (a org.openide.windows.CloneableOpenSupport$Listener)
	at org.openide.text.DataEditorSupport.openDocument(DataEditorSupport.java:398)
	at org.openide.text.CloneableEditorSupport.open(CloneableEditorSupport.java:427)
	at org.netbeans.modules.web.core.jsploader.BaseJspEditorSupport.open(BaseJspEditorSupport.java:263)
	at org.openide.actions.OpenAction.performAction(OpenAction.java:81)
	at org.openide.util.actions.NodeAction$DelegateAction$1.run(NodeAction.java:581)
	at org.netbeans.modules.openide.util.ActionsBridge.doPerformAction(ActionsBridge.java:77)
	at org.openide.util.actions.NodeAction$DelegateAction.actionPerformed(NodeAction.java:577)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2028)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2351)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
	at javax.swing.AbstractButton.doClick(AbstractButton.java:389)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1220)
	at apple.laf.CUIAquaMenuItem.doClick(CUIAquaMenuItem.java:119)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1261)
	at java.awt.Component.processMouseEvent(Component.java:6126)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3265)
	at java.awt.Component.processEvent(Component.java:5891)
	at java.awt.Container.processEvent(Container.java:2102)
	at java.awt.Component.dispatchEventImpl(Component.java:4497)
	at java.awt.Container.dispatchEventImpl(Container.java:2160)
	at java.awt.Component.dispatchEvent(Component.java:4327)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4366)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4030)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:3960)
	at java.awt.Container.dispatchEventImpl(Container.java:2146)
	at java.awt.Window.dispatchEventImpl(Window.java:2440)
	at java.awt.Component.dispatchEvent(Component.java:4327)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:104)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:300)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:210)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:195)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:187)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:121)

"TimerQueue" daemon prio=5 tid=0x000000010204f000 nid=0x13f001000 in Object.wait() [0x000000013f000000..0x000000013f000a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010204f000  [0x3f001000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010e433930> (a javax.swing.TimerQueue)
	at javax.swing.TimerQueue.run(TimerQueue.java:236)
	- locked <0x000000010e433930> (a javax.swing.TimerQueue)
	at java.lang.Thread.run(Thread.java:637)

"Creator Error Handler Listener" prio=5 tid=0x00000001021a3000 nid=0x147059000 runnable
[0x0000000147058000..0x0000000147058a80]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_in_native
Thread: 0x00000001021a3000  [0x47059000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_in_native
	at java.net.PlainSocketImpl.socketAccept(Native Method)
	at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:384)
	- locked <0x000000010e394158> (a java.net.SocksSocketImpl)
	at java.net.ServerSocket.implAccept(ServerSocket.java:453)
	at java.net.ServerSocket.accept(ServerSocket.java:421)
	at org.netbeans.modules.visualweb.errorhandler.DebugServerThread.run(DebugServerThread.java:115)

"Thread-7" daemon prio=5 tid=0x00000001021a2000 nid=0x146e56000 in Object.wait() [0x0000000146e55000..0x0000000146e55a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001021a2000  [0x46e56000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010ded56f8> (a java.util.LinkedList)
	at java.lang.Object.wait(Object.java:485)
	at java.util.prefs.AbstractPreferences$EventDispatchThread.run(AbstractPreferences.java:1461)
	- locked <0x000000010ded56f8> (a java.util.LinkedList)

"Inactive RequestProcessor thread [Was:Default RequestProcessor/null]" daemon prio=1 tid=0x0000000102186800
nid=0x145d71000 in Object.wait() [0x0000000145d70000..0x0000000145d70a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102186800  [0x45d71000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010e320a10> (a java.lang.Object)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:939)
	- locked <0x000000010e320a10> (a java.lang.Object)

"*** JFluid Separate Command Execution Thread" daemon prio=5 tid=0x0000000102191800 nid=0x142a59000 in Object.wait()
[0x0000000142a58000..0x0000000142a58a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102191800  [0x42a59000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010e320ad0> (a java.lang.Object)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.lib.profiler.ProfilerClient$SeparateCmdExecutionThread.run(ProfilerClient.java:104)
	- locked <0x000000010e320ad0> (a java.lang.Object)

"background jsp parsing" daemon prio=1 tid=0x00000001020af000 nid=0x145b6e000 in Object.wait()
[0x0000000145b6d000..0x0000000145b6da80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x00000001020af000  [0x45b6e000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x0000000112c35830> (a org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1)
	at java.lang.Thread.join(Thread.java:1161)
	- locked <0x0000000112c35830> (a org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$1)
	at java.lang.Thread.join(Thread.java:1214)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport.callTomcatParser(WebAppParseSupport.java:500)
	at org.netbeans.modules.web.jspparser_ext.WebAppParseSupport.analyzePage(WebAppParseSupport.java:410)
	at org.netbeans.modules.web.jspparser.JspParserImpl.analyzePage(JspParserImpl.java:158)
	at org.netbeans.modules.web.core.jsploader.TagLibParseSupport$ParsingRunnable.run(TagLibParseSupport.java:363)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:561)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:986)

"Java2D Disposer" daemon prio=10 tid=0x0000000102039000 nid=0x13eb61000 in Object.wait()
[0x000000013eb60000..0x000000013eb60a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102039000  [0x3eb61000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010d3ae2d8> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:116)
	- locked <0x000000010d3ae2d8> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:132)
	at sun.java2d.Disposer.run(Disposer.java:125)
	at java.lang.Thread.run(Thread.java:637)

"AWT-Shutdown" prio=5 tid=0x0000000102037800 nid=0x13c32d000 in Object.wait() [0x000000013c32c000..0x000000013c32ca80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102037800  [0x3c32d000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010d3ae3c8> (a java.lang.Object)
	at java.lang.Object.wait(Object.java:485)
	at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:259)
	- locked <0x000000010d3ae3c8> (a java.lang.Object)
	at java.lang.Thread.run(Thread.java:637)

"AWT-AppKit" daemon prio=5 tid=0x0000000102037000 nid=0x7fff700b1dc0 runnable [0x0000000000000000..0x00007fff5fbfcec8]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_in_native
Thread: 0x0000000102037000  [0x700b1dc0] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_in_native

"Timer-0" daemon prio=5 tid=0x0000000102028000 nid=0x12b4b7000 in Object.wait() [0x000000012b4b6000..0x000000012b4b6a80]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x0000000102028000  [0x2b4b7000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010d3ae7d0> (a java.util.TaskQueue)
	at java.util.TimerThread.mainLoop(Timer.java:509)
	- locked <0x000000010d3ae7d0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"CLI Requests Server" daemon prio=5 tid=0x0000000102027800 nid=0x12b2b4000 runnable [0x000000012b2b3000..0x000000012b2b3a80]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_in_native
Thread: 0x0000000102027800  [0x2b2b4000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_in_native
	at java.net.PlainSocketImpl.socketAccept(Native Method)
	at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:384)
	- locked <0x000000010d3ae8e0> (a java.net.SocksSocketImpl)
	at java.net.ServerSocket.implAccept(ServerSocket.java:453)
	at java.net.ServerSocket.accept(ServerSocket.java:421)
	at org.netbeans.CLIHandler$Server.run(CLIHandler.java:1003)

"Active Reference Queue Daemon" daemon prio=1 tid=0x000000010201f000 nid=0x12a651000 in Object.wait()
[0x000000012a650000..0x000000012a650a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010201f000  [0x2a651000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010d3aeb48> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:116)
	- locked <0x000000010d3aeb48> (a java.lang.ref.ReferenceQueue$Lock)
	at org.openide.util.Utilities$ActiveQueue.run(Utilities.java:3056)
	at java.lang.Thread.run(Thread.java:637)

"Low Memory Detector" daemon prio=5 tid=0x0000000102013800 nid=0x129e10000 runnable [0x0000000000000000..0x0000000000000000]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_blocked
Thread: 0x0000000102013800  [0x29e10000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked

"CompilerThread1" daemon prio=9 tid=0x0000000102011800 nid=0x129c0d000 waiting on condition
[0x0000000000000000..0x0000000129c0b188]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_blocked
Thread: 0x0000000102011800  [0x29c0d000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked

"CompilerThread0" daemon prio=9 tid=0x0000000102010000 nid=0x129a0a000 waiting on condition
[0x0000000000000000..0x0000000129a08188]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_blocked
Thread: 0x0000000102010000  [0x29a0a000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked

"Signal Dispatcher" daemon prio=9 tid=0x000000010200f800 nid=0x129807000 waiting on condition
[0x0000000000000000..0x0000000000000000]
   java.lang.Thread.State: RUNNABLE
   JavaThread state: _thread_blocked
Thread: 0x000000010200f800  [0x29807000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked

"Finalizer" daemon prio=8 tid=0x000000010200d000 nid=0x129604000 in Object.wait() [0x0000000129603000..0x0000000129603a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010200d000  [0x29604000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010d3aeed0> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:116)
	- locked <0x000000010d3aeed0> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:132)
	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:159)

"Reference Handler" daemon prio=10 tid=0x000000010200b800 nid=0x129401000 in Object.wait()
[0x0000000129400000..0x0000000129400a80]
   java.lang.Thread.State: WAITING (on object monitor)
   JavaThread state: _thread_blocked
Thread: 0x000000010200b800  [0x29401000] State: _at_safepoint _has_called_back 0 _at_poll_safepoint 0
   JavaThread state: _thread_blocked
	at java.lang.Object.wait(Native Method)
	- waiting on <0x000000010d3ae4c0> (a java.lang.ref.Reference$Lock)
	at java.lang.Object.wait(Object.java:485)
	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:116)
	- locked <0x000000010d3ae4c0> (a java.lang.ref.Reference$Lock)

"VM Thread" prio=9 tid=0x000000010200a000 nid=0x101ec2000 runnable 

"VM Periodic Task Thread" prio=10 tid=0x0000000102015000 nid=0x12a013000 waiting on condition 

"Exception Catcher Thread" prio=10 tid=0x0000000102003000 nid=0x100704000 runnable 
Compiler thread printing unimplemented.

JNI global references: 4708

Heap
 def new generation   total 66176K, used 9566K [0x0000000105800000, 0x000000010a1d0000, 0x000000010d350000)
  eden space 56768K,  10% used [0x0000000105800000, 0x0000000105dd1ab8, 0x0000000108f70000)
  from space 9408K,  38% used [0x0000000108f70000, 0x00000001092f5f40, 0x00000001098a0000)
  to   space 9408K,   0% used [0x00000001098a0000, 0x00000001098a0000, 0x000000010a1d0000)
 tenured generation   total 150312K, used 94121K [0x000000010d350000, 0x000000011661a000, 0x000000011ca00000)
   the space 150312K,  62% used [0x000000010d350000, 0x0000000112f3a6a0, 0x0000000112f3a800, 0x000000011661a000)
 compacting perm gen  total 82688K, used 82472K [0x000000011ca00000, 0x0000000121ac0000, 0x0000000129200000)
   the space 82688K,  99% used [0x000000011ca00000, 0x0000000121a8a268, 0x0000000121a8a400, 0x0000000121ac0000)
No shared spaces configured.

Run with -XX:+RecordJNIHandleStacks to enable JNI handle dumps
Comment 5 cwolves 2008-04-14 20:17:58 UTC
As for a log file, ~/var does not exist.

Note that in order to quickly reproduce this issue I have been opening/closing 15 files at once which reproduces it
almost 100% of the time.
Comment 6 cwolves 2008-04-14 20:19:19 UTC
(Note that there are two thread dumps above, one caused while closing files, the other when opening, just in case
whomever looking at this doesn't notice  :-))
Comment 7 Jiri Prox 2008-04-15 09:20:08 UTC
editor is not involved in the threaddumps -> reassigning to openide
Comment 8 Lukas Hasik 2008-04-15 11:28:58 UTC
I'm reassigning to editor + adding web on CC, there are involved in the thread dump more then the editor

cwolves, what do mean by "opening/closing 15 files"? Exact steps, please.
thank you.
Comment 9 Antonin Nebuzelsky 2008-04-15 12:20:03 UTC
Jardo, please evaluate.
Comment 10 Jaroslav Tulach 2008-04-15 12:45:10 UTC
OK, I guess I know where the problem is. I'll write a test.
Comment 11 Jaroslav Tulach 2008-04-15 14:14:45 UTC
changeset:   78006:6fb846b2c0a7
tag:         tip
user:        Jaroslav Tulach <jtulach@netbeans.org>
date:        Tue Apr 15 15:14:31 2008 +0200
summary:     Test to simulate #132662
Comment 12 Jaroslav Tulach 2008-04-15 14:25:26 UTC
changeset:   78043:bc057c2dc9c6
tag:         tip
parent:      78037:93bdeab94c84
parent:      78042:7f8c06352a29
user:        Jaroslav Tulach <jtulach@netbeans.org>
date:        Tue Apr 15 15:24:40 2008 +0200
summary:     Merge: Fixes of #132662
Comment 13 Jaroslav Tulach 2008-04-15 14:28:52 UTC
Created attachment 60210 [details]
NBM of the module that contains the fixes
Comment 14 Lukas Hasik 2008-04-16 14:37:59 UTC
we(QE) are not able to reproduce. The fix should be part of the patch 1 for 6.1. 
Comment 15 Lukas Hasik 2008-04-24 19:28:05 UTC
although we are not able to reproduce it the test can simulate. I'm marking as verified. 
Comment 16 pgebauer 2008-04-27 21:54:25 UTC
The fix has been ported into the release61_fixes branch:

http://hg.netbeans.org/release61_fixes/rev/45382a25f7f8
Comment 17 dyegoleal 2008-04-29 12:54:31 UTC
How to install this nbm in 6.1 final ?

If download the Development release, is the problem fixed ?
Comment 18 pgebauer 2008-04-29 13:48:44 UTC
The NBMs from daily builds of the 6.1 sustaining branch are available on http://bits.netbeans.org/netbeans/6.1/fixes/ .
However they aren't verified by QE and they don't have incremented spec. versions yet. Proper and tested NBMs will be
available through the Stable Auto Update Center by end of May.
Comment 19 dyegoleal 2008-04-30 13:36:24 UTC
I have downloaded the nbm... and goto to my 6.1 on Plugins option (in Tools menu)

click in AddPlugins and select the NBM...

but the netbeans show-me "Error, Open Text IDE is installed"

howto install the patch ?
Comment 20 cwolves 2008-04-30 18:12:09 UTC
Just FYI I am unable to reproduce this bug in the 6.1 final release  :)
Comment 21 Jan Lahoda 2008-04-30 19:07:27 UTC
*** Issue 134258 has been marked as a duplicate of this issue. ***
Comment 22 dyegoleal 2008-05-02 13:15:44 UTC
I downloaded the DEVELOPMENT release TODAY and IDe freeze again... the stackdump is attached.... please see again :(
Comment 23 dyegoleal 2008-05-02 13:16:02 UTC
Created attachment 60967 [details]
My Thread Dump
Comment 24 dyegoleal 2008-05-02 13:18:53 UTC
ahhh... my station is windows xp sp2 with 1.5Gb of ram
Comment 25 pinheiro 2008-05-02 19:49:43 UTC
I'm having a lot this problem. Not opening, but while editing JSP (I haven't identified another situation).
Using NB 6.1 final.

I'll attach a thread dump.
Comment 26 pinheiro 2008-05-02 19:50:30 UTC
Created attachment 60986 [details]
Threaddump
Comment 27 pinheiro 2008-05-02 21:05:33 UTC
Not being able to use NetBeans. I can only work for a few minutes, and then the IDE freezes.
Reverting to 6.1 Beta solves the problem, and this is the version I'm using to continue working.

Shall we reopen this issue?
Comment 28 Lukas Hasik 2008-05-03 21:07:23 UTC
1, this issue is not fixed in 6.1 FINAL, it will be available in patch for the 6.1 in next month.

2, you cannot install with the NBM because the spec version have not been increased yet. However you can get the jar
from the NBM. The NBM is a zip format file. Just rename it to zip to be able to open/unzip it. Then there is a jar
org-openide-text.jar in org-openide-text.nbm\netbeans\modules\ directory. This jar should replace original jar in
{NB_INSTALL_DIR}\platform8\modules\ . Ugly steps. I hope that it will work.

3, Jardo, could you evaluate the thread dump from the dev builds(dyegoleal)?
Comment 29 fincatto 2008-05-05 14:51:58 UTC
I applied the fix and the problem persists. It happens when I follow a link from a jsp (APPLE+click)
Comment 30 dyegoleal 2008-05-06 13:52:41 UTC
Any news ?
Comment 31 pinheiro 2008-05-08 21:07:16 UTC
Created attachment 61174 [details]
Threaddump
Comment 32 pinheiro 2008-05-08 21:08:42 UTC
Reported a new threaddump. Now I'm more than 10 minutes waiting for the IDE to release the save of a JSP file... No
other option than kill -9.

Sorry, but it is unusable.
Comment 33 mslama 2008-05-09 10:35:05 UTC
*** Issue 134303 has been marked as a duplicate of this issue. ***
Comment 34 mslama 2008-05-09 16:53:18 UTC
Please mark attached thread dump with NB build number. Is last thread dump attached by pinheiro from dev build? What
number? Jarda is away. I will try to look at this issue.
Comment 35 mslama 2008-05-09 17:02:50 UTC
Please can you also attach ide log? I want to check if there is any exception causing failure of document load. All
threads in thread dump are waiting fro document to be loaded.
Comment 36 mslama 2008-05-09 17:18:58 UTC
I checked against latest CloneableEditorSupport.java but last thread dump does not match it. It was modified by Jarda 3
weeks ago. Please get latest dev build and if the same problem happens get new thread dump. As I do not know how to
reproduce this issue I want to be sure I am not chasing old issue in new sources.

(I just checked lines from first thread given in thread dump "JSP Parsing" CloneableEditorSupport.openDocumentImpl is
called from line 744 but in source it is at line 738. I assume this should match. I will try to add wait and generate
thread dump manually to verify I get what I expect.)
Comment 37 mslama 2008-05-12 13:27:40 UTC
I just checked and last thread dump is for build without fix. So closing again. To get exact dev build number either get
build number from IDE log or check file nb6.1/build_info. There is build number, date and most important is repo
revision which is unique for repository.

CloneableEditorSupport.openDocumentCheckIOE() invokes CloneableEditorSupport.openDocumentImpl() at line 718 now. (As fix
added 3 lines and not at line 715 like in last attached thread dump. IMO it is clear that it is still build without
fix.) With rev number for given build it is possible to check if given revision contains fix or not.

As we have more team repositories fix could arrive to main with some delay so it could be in daily dev build later.
Comment 38 Jaromir Uhrik 2008-05-19 17:05:28 UTC
I cannot reproduce this issue in 6.1fcs + patch1. Formally marking as verified.
Comment 39 dyegoleal 2008-05-19 18:24:00 UTC
where is Patch1 to download ?
Comment 40 artibee 2008-05-19 18:39:06 UTC
Patch 1's current plan is for its release by the end of this week (Fri 23-May):
http://wiki.netbeans.org/NetBeans61Patch1Plan

Meanwhile the patch daily build bits are found here (per Petr's 29-Apr note above):
http://bits.netbeans.org/netbeans/6.1/fixes/
Comment 41 Jan Lahoda 2008-05-22 09:33:05 UTC
*** Issue 134723 has been marked as a duplicate of this issue. ***
Comment 42 soupdragon 2008-05-27 09:38:20 UTC
Created attachment 61958 [details]
Stack dump on moving off JSP edit
Comment 43 soupdragon 2008-05-27 09:42:06 UTC
I have applied patch series one. It seems to have no effect on my problem with editor hang on leaving JSP (see latest
attachment). Netbeans 6.1 is still unusable for me.

My intial issue number was 124723.
Comment 44 Lukas Hasik 2008-05-27 10:49:28 UTC
soupdragon, could you try to reproduce with latest development build?

Jardo, could you look at the latest thread dump? It seems that the issue either isn't fixed or isn't part of 61 patch 1.
Or maybe it happens in other conditions...
Comment 45 Jan Lahoda 2008-05-27 14:08:13 UTC
*** Issue 135763 has been marked as a duplicate of this issue. ***
Comment 46 soupdragon 2008-05-30 15:44:34 UTC
Created attachment 62176 [details]
Stack dump, moving off JSP edit  nightly 200805291203
Comment 47 fincatto 2008-05-30 16:07:37 UTC
The problem persist in last Nightly... Reopening the issue.
Comment 48 dyegoleal 2008-05-30 19:29:41 UTC
Created attachment 62188 [details]
new stack... this is very important BUG !
Comment 49 dyegoleal 2008-05-30 19:37:45 UTC
NetBeans is going to UNUSABLE... :) Please... PLEASE... FIX THIS BUG... :(
Comment 50 ris 2008-06-02 11:33:11 UTC
Created attachment 62237 [details]
Thread dump
Comment 51 ris 2008-06-02 11:33:49 UTC
Created attachment 62238 [details]
messages.log
Comment 52 ris 2008-06-02 11:35:14 UTC
Same issue here.
The IDE froze when trying to go to a method declaration with ctrl + <click>
Comment 53 ris 2008-06-02 11:37:37 UTC
forgot to mention, NB6.1 + patch1 applied
Comment 54 Jan Lahoda 2008-06-02 14:26:57 UTC
Please see also:
http://www.netbeans.org/nonav/issues/showattachment.cgi/62250/desespero.dmp
(was attached to issue #132997).

Seems that user dyegoleal is experiencing this a lot. If I understand the comment correctly, the thread dump is from 
trunk build 200805291203.
Comment 55 dyegoleal 2008-06-02 14:44:37 UTC
Created attachment 62254 [details]
Again , and with today build !
Comment 56 dyegoleal 2008-06-03 14:15:45 UTC
I forgot to say my Operating System...

I running Windows XP SP 2 and SP3 on ADM 64 X2 with 2 Gb of RAM

Tnks !
Comment 57 Jaroslav Tulach 2008-06-03 14:55:39 UTC
Is not this bug a duplicated of issue 132386? It seems to involve JPDA debugger in AWT event queue as well as issue 
132386.
Comment 58 dyegoleal 2008-06-03 15:02:23 UTC
But  issue 132386 is closed and verified... and this bug occurs a LOT with me... :(
Comment 59 fincatto 2008-06-03 15:15:09 UTC
With me too. How can we help solve this problem? 
Please contact me if they need to more information.
Comment 60 dyegoleal 2008-06-03 16:43:46 UTC
Created attachment 62325 [details]
New Dump !
Comment 61 dyegoleal 2008-06-03 16:46:49 UTC
Humm... i can reproduce this bug with:

Create a Project using Facelets and JavaServer Faces...

Create three files... one jose.xhtml jsf.jsp e lock.xhtml

Ok... populate the jsf.jsp with PURE JSF code... put inside tags outputext... validators and etc...

populate jose.xhtml and lock.xhtml with simple facelet code... like Hello World...


close netbeans , and open again...

Open the jose.xhtml... (do not CLOSE)
after open jsf.jsp... (do not close)
after open lock.xhtml...

My IDE Freezes on open lock.xhtml

Tnks ;)
Comment 62 dyegoleal 2008-06-03 17:07:37 UTC
Created attachment 62327 [details]
Finaly ! A Project to reproduce a Bug
Comment 63 dyegoleal 2008-06-03 17:09:49 UTC
The Project reproduce a bug...

Only add's the JAR of Facelets and Woodstock...

To fire a bug try:

Open the Project... (with errors or not)
Open the login.xhtml (do not close)
Open the homeaaaa.jsp (do not close)
Open the home.xhtml

puft... My NetBeans freezes...
Comment 64 dyegoleal 2008-06-03 17:53:44 UTC
fincatto,

Open My Project and try to reproduce a bug please and post here !
Comment 65 fincatto 2008-06-03 18:27:23 UTC
Your project has no sources. Please check.
Comment 66 dyegoleal 2008-06-03 18:29:56 UTC
Yes, has no sources... JAVA sorces... bug has a JSP and xhtml to make the error...

Plase ... see the post with structions to freeze using the project.
Comment 67 dyegoleal 2008-06-03 18:30:07 UTC
Yes, has no sources... JAVA sorces... but has a JSP and xhtml to make the error...

Plase ... see the post with structions to freeze using the project.
Comment 68 fincatto 2008-06-03 18:30:24 UTC
Dyego,

If possible, package the whole project and submit to me at diego.fincatto@gmail.com. 
You can write in portuguese ;)

Comment 69 fincatto 2008-06-03 18:34:49 UTC
My netbeans not freezes, following yours instructions. 
My netbeans is 6.1.
Comment 70 dyegoleal 2008-06-03 19:25:29 UTC
I'm usign Facelets plugin downloaded in
"http://blog.jdevelop.eu/downloads/faceletssupport_netbeans6.1/faceletssupport_for_netbeans6.1.zip" , i can put the
plugin and try ?
Comment 71 Jaroslav Tulach 2008-06-03 20:05:04 UTC
How can you help? Reproduce the problem with latest build of 6.5
Comment 72 dyegoleal 2008-06-06 12:49:40 UTC
Hello !

Any News ?
Comment 73 dyegoleal 2008-06-06 12:49:58 UTC
Hello !

Any News ? 

The Patch2 of NetBeans 6.1 include fix for this problem ?
Comment 74 ris 2008-06-11 16:37:54 UTC
It seems that the new patch released this week (It appeared on NB6.1 as IDE Plattform 1.3.1) solved the problem for me :)
Comment 75 soupdragon 2008-06-12 10:53:56 UTC
Doesn't do it for me, but then I suspect that there is more than one bug on this issue and that mine isn't actually a
duplicate.

Comment 76 ris 2008-06-12 15:04:41 UTC
Oops!
Not NB froze while editing a JSP file.
I entered <tr>, appeared code completion and when I hit enter, NB froze.
(Maybe is not directly related with this issue?)
Comment 77 Jaroslav Tulach 2008-06-12 16:59:25 UTC
OK, looks like this bug is still present in current trunk. At least this diff contains correct line numbers:
http://www.netbeans.org/nonav/issues/showattachment.cgi/62325/novodump.dmp
Comment 78 Jaroslav Tulach 2008-06-12 17:30:06 UTC
Created attachment 62764 [details]
Test to create deadlock like the one described in this issue
Comment 79 Jaroslav Tulach 2008-06-12 17:31:51 UTC
Marku, I know you are just fixing other problems in the test, can you look at this one as well. With 30% probability 
your current changes might also fix this problem, as in the test I needed to use "notifyClosed" - e.g. I needed 
similar trick like you.
Comment 80 dyegoleal 2008-06-12 18:21:27 UTC
Wow !!!!

I'm excited with the activity of this thread !!!

NetBeans 6.1 needs solution for this bug... because it makes it unusable !!!

Tnks in advance !


Comment 81 Tomas Mysik 2008-06-13 11:39:28 UTC
*** Issue 136501 has been marked as a duplicate of this issue. ***
Comment 82 mslama 2008-06-13 12:30:27 UTC
Test still fails after I committed fix of issue #136601. So this is different issue. I will look at it with Jarda.
Comment 83 mslama 2008-06-16 13:44:01 UTC
Fixed 751b6d588067. This is additional fix to Jarda's original fix.

Document opening postprocessing (annotations loading) CloneableEditor.DoInitialize.initRest is posted to private request
processor "Document Postprocessing". Hopefully this will not break anything. All tests and commit validation passed
locally. I will monitor continuous build.

Please use and test next daily build. I will add note here once daily build with this fix will be available. If you find
any problem file new issue (and you can add reference this issue if you think it is connected). Due to long text in
description this issue is hardly usable for usage. Next time please use attachment to put any longer text to issue. Thanks.
Comment 84 dyegoleal 2008-06-16 13:49:32 UTC
ohhh my god !!!
This is very good news !!!!

The fix are released in daily http://bits.netbeans.org/netbeans/6.1/fixes/ too ?
Comment 85 mslama 2008-06-16 14:09:48 UTC
No only in trunk. Based on feedback from trunk we will decide if we will put this fix to next patch for NB 6.1 or if we
only put it here. This change might break other code potentially as it performs some post opening work asynchronously so
we need to make sure first that it is safe.
Comment 86 Jaromir Uhrik 2008-06-18 12:17:24 UTC
Could please someone verify the fix in the latest trunk build? If it is OK and no regression appears we will consider
integration of fix to NetBeans 6.1 patch3.
Thanks.
Comment 87 pinheiro 2008-06-18 12:27:18 UTC
For me it is working now. I've had two strange situations yesterday, but today I'm being able to edit, format and save
my JSP without problems.

Thanks!
Comment 88 fincatto 2008-06-18 12:40:16 UTC
For me too. 
Comment 89 dyegoleal 2008-06-18 12:45:33 UTC
for me too !
Please consider to add this to patch2 , because is very important for many peoples !!!!
Comment 90 soupdragon 2008-06-19 09:16:23 UTC
I just tried the nightly build of 18th June. I haven't had the old problem yet, but I seem to be getting new ones. First
time I openned a JSP I got an assertion error (which I've transmitted to you using the automatic feedback thing). Now
I'm getting what seem to be Java source error flags in the JSP, such as "class, interface or enum expected" at the top.
This comes and goes.

There are no scriptlets in this JSP by the way. What there is is quite a bit of javascript generated using JSTL looping
and conditional tags, which seems to result in lots of javascript syntax errors, I guess that's just because 6.1 is now
checking javascript but it's going to be a nuisance. The javascript I'm generating is valid, but the syntax checker
can't make sense of it amongst the tags.

I should also mention that this is a Maven project.
Comment 91 soupdragon 2008-06-19 09:33:43 UTC
Oh, the assertion errors details are http://statistics.netbeans.org/analytics/detail.do?id=67097 here
Comment 92 Marian Mirilovic 2008-06-19 09:48:07 UTC
AssertionError reported as issue 137669
Comment 93 mslama 2008-06-19 09:57:24 UTC
I cannot say if this fix could cause new problems you are observing. You should file new issue against JSP and they
should evaluate. You can reference this issue there too. They can check if these problems happens after fix ie. if this
fix causes them. Build from 16 Jun does not contain fix so you can compare too.
Comment 94 dyegoleal 2008-06-19 16:23:08 UTC
will be release in 6.1 patch 2 ?
Comment 95 pgebauer 2008-06-19 17:11:37 UTC
If all tests pass successfully, it will.
Comment 96 mslama 2008-06-23 09:50:55 UTC
*** Issue 137910 has been marked as a duplicate of this issue. ***
Comment 97 Marek Fukala 2008-06-23 16:04:12 UTC
*** Issue 137961 has been marked as a duplicate of this issue. ***
Comment 98 Lukas Hasik 2008-06-23 16:36:13 UTC
the fix is available in the latest builds at http://bits.netbeans.org/netbeans/6.1/fixes/
It will be part of the patch 2 for NB 6.1 that will be available soon. 

Reporters, could you please try the patch and let us know if the fix doesn't work for you. I'm marking as verified
(based on comments #89 and #90)
Comment 99 Lukas Hasik 2008-06-30 15:42:55 UTC
*** Issue 138522 has been marked as a duplicate of this issue. ***
Comment 100 ris 2008-07-11 07:22:33 UTC
Seems to work for me :)
Comment 101 mslama 2008-08-29 15:54:28 UTC
*** Issue 142345 has been marked as a duplicate of this issue. ***
Comment 102 Lukas Hasik 2008-09-09 16:01:02 UTC
*** Issue 145919 has been marked as a duplicate of this issue. ***
Comment 103 Lukas Hasik 2008-12-10 12:42:03 UTC
*** Issue 155114 has been marked as a duplicate of this issue. ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo